## org.eclipse.datatools.modelbase.sql.query
Interface SQLQueryModelPackage.Literals

Enclosing interface:
  SQLQueryModelPackage

public static interface SQLQueryModelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `COLUMN_NAME` The meta object literal for the '`Column Name`' class.
`static EReference` `COLUMN_NAME__TABLE_CORRELATION` The meta object literal for the 'Table Correlation' container reference feature.
`static EReference` `COLUMN_NAME__WITH_TABLE_SPECIFICATION` The meta object literal for the 'With Table Specification' container reference feature.
`static EClass` `CURSOR_REFERENCE` The meta object literal for the '`Cursor Reference`' class.
`static EReference` `CURSOR_REFERENCE__DELETE_STATEMENT` The meta object literal for the 'Delete Statement' container reference feature.
`static EReference` `CURSOR_REFERENCE__UPDATE_STATEMENT` The meta object literal for the 'Update Statement' container reference feature.
`static EClass` `GROUPING` The meta object literal for the '`Grouping`' class.
`static EReference` `GROUPING__GROUPING_SETS_ELEMENT_EXPR` The meta object literal for the 'Grouping Sets Element Expr' container reference feature.
`static EClass` `GROUPING_EXPRESSION` The meta object literal for the '`Grouping Expression`' class.
`static EReference` `GROUPING_EXPRESSION__SUPER_GROUP_ELEMENT_EXPR` The meta object literal for the 'Super Group Element Expr' container reference feature.
`static EReference` `GROUPING_EXPRESSION__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EClass` `GROUPING_SETS` The meta object literal for the '`Grouping Sets`' class.
`static EReference` `GROUPING_SETS__GROUPING_SETS_ELEMENT_LIST` The meta object literal for the 'Grouping Sets Element List' containment reference list feature.
`static EClass` `GROUPING_SETS_ELEMENT` The meta object literal for the '`Grouping Sets Element`' class.
`static EReference` `GROUPING_SETS_ELEMENT__GROUPING_SETS` The meta object literal for the 'Grouping Sets' container reference feature.
`static EClass` `GROUPING_SETS_ELEMENT_EXPRESSION` The meta object literal for the '`Grouping Sets Element Expression`' class.
`static EReference` `GROUPING_SETS_ELEMENT_EXPRESSION__GROUPING` The meta object literal for the 'Grouping' containment reference feature.
`static EReference` `GROUPING_SETS_ELEMENT_EXPRESSION__GROUPING_SETS_ELEMENT_SUBLIST` The meta object literal for the 'Grouping Sets Element Sublist' container reference feature.
`static EClass` `GROUPING_SETS_ELEMENT_SUBLIST` The meta object literal for the '`Grouping Sets Element Sublist`' class.
`static EReference` `GROUPING_SETS_ELEMENT_SUBLIST__GROUPING_SETS_ELEMENT_EXPR_LIST` The meta object literal for the 'Grouping Sets Element Expr List' containment reference list feature.
`static EClass` `GROUPING_SPECIFICATION` The meta object literal for the '`Grouping Specification`' class.
`static EReference` `GROUPING_SPECIFICATION__QUERY_SELECT` The meta object literal for the 'Query Select' container reference feature.
`static EEnum` `NULL_ORDERING_TYPE` The meta object literal for the '`Null Ordering Type`' enum.
`static EClass` `ORDER_BY_ORDINAL` The meta object literal for the '`Order By Ordinal`' class.
`static EAttribute` `ORDER_BY_ORDINAL__ORDINAL_VALUE` The meta object literal for the 'Ordinal Value' attribute feature.
`static EClass` `ORDER_BY_RESULT_COLUMN` The meta object literal for the '`Order By Result Column`' class.
`static EReference` `ORDER_BY_RESULT_COLUMN__RESULT_COL` The meta object literal for the 'Result Col' reference feature.
`static EClass` `ORDER_BY_SPECIFICATION` The meta object literal for the '`Order By Specification`' class.
`static EAttribute` `ORDER_BY_SPECIFICATION__DESCENDING` The meta object literal for the 'Descending' attribute feature.
`static EAttribute` `ORDER_BY_SPECIFICATION__NULL_ORDERING_OPTION` The meta object literal for the 'Null Ordering Option' attribute feature.
`static EAttribute` `ORDER_BY_SPECIFICATION__ORDERING_SPEC_OPTION` The meta object literal for the 'Ordering Spec Option' attribute feature.
`static EReference` `ORDER_BY_SPECIFICATION__SELECT_STATEMENT` The meta object literal for the 'Select Statement' container reference feature.
`static EClass` `ORDER_BY_VALUE_EXPRESSION` The meta object literal for the '`Order By Value Expression`' class.
`static EReference` `ORDER_BY_VALUE_EXPRESSION__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EEnum` `ORDERING_SPEC_TYPE` The meta object literal for the '`Ordering Spec Type`' enum.
`static EClass` `PREDICATE` The meta object literal for the '`Predicate`' class.
`static EAttribute` `PREDICATE__HAS_SELECTIVITY` The meta object literal for the 'Has Selectivity' attribute feature.
`static EAttribute` `PREDICATE__NEGATED_PREDICATE` The meta object literal for the 'Negated Predicate' attribute feature.
`static EAttribute` `PREDICATE__SELECTIVITY_VALUE` The meta object literal for the 'Selectivity Value' attribute feature.
`static EClass` `PREDICATE_BASIC` The meta object literal for the '`Predicate Basic`' class.
`static EAttribute` `PREDICATE_BASIC__COMPARISON_OPERATOR` The meta object literal for the 'Comparison Operator' attribute feature.
`static EReference` `PREDICATE_BASIC__LEFT_VALUE_EXPR` The meta object literal for the 'Left Value Expr' containment reference feature.
`static EReference` `PREDICATE_BASIC__RIGHT_VALUE_EXPR` The meta object literal for the 'Right Value Expr' containment reference feature.
`static EClass` `PREDICATE_BETWEEN` The meta object literal for the '`Predicate Between`' class.
`static EReference` `PREDICATE_BETWEEN__LEFT_VALUE_EXPR` The meta object literal for the 'Left Value Expr' containment reference feature.
`static EAttribute` `PREDICATE_BETWEEN__NOT_BETWEEN` The meta object literal for the 'Not Between' attribute feature.
`static EReference` `PREDICATE_BETWEEN__RIGHT_VALUE_EXPR1` The meta object literal for the 'Right Value Expr1' containment reference feature.
`static EReference` `PREDICATE_BETWEEN__RIGHT_VALUE_EXPR2` The meta object literal for the 'Right Value Expr2' containment reference feature.
`static EEnum` `PREDICATE_COMPARISON_OPERATOR` The meta object literal for the '`Predicate Comparison Operator`' enum.
`static EClass` `PREDICATE_EXISTS` The meta object literal for the '`Predicate Exists`' class.
`static EReference` `PREDICATE_EXISTS__QUERY_EXPR` The meta object literal for the 'Query Expr' containment reference feature.
`static EClass` `PREDICATE_IN` The meta object literal for the '`Predicate In`' class.
`static EAttribute` `PREDICATE_IN__NOT_IN` The meta object literal for the 'Not In' attribute feature.
`static EClass` `PREDICATE_IN_VALUE_LIST` The meta object literal for the '`Predicate In Value List`' class.
`static EReference` `PREDICATE_IN_VALUE_LIST__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `PREDICATE_IN_VALUE_LIST__VALUE_EXPR_LIST` The meta object literal for the 'Value Expr List' containment reference list feature.
`static EClass` `PREDICATE_IN_VALUE_ROW_SELECT` The meta object literal for the '`Predicate In Value Row Select`' class.
`static EReference` `PREDICATE_IN_VALUE_ROW_SELECT__QUERY_EXPR` The meta object literal for the 'Query Expr' containment reference feature.
`static EReference` `PREDICATE_IN_VALUE_ROW_SELECT__VALUE_EXPR_LIST` The meta object literal for the 'Value Expr List' containment reference list feature.
`static EClass` `PREDICATE_IN_VALUE_SELECT` The meta object literal for the '`Predicate In Value Select`' class.
`static EReference` `PREDICATE_IN_VALUE_SELECT__QUERY_EXPR` The meta object literal for the 'Query Expr' containment reference feature.
`static EReference` `PREDICATE_IN_VALUE_SELECT__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EClass` `PREDICATE_IS_NULL` The meta object literal for the '`Predicate Is Null`' class.
`static EAttribute` `PREDICATE_IS_NULL__NOT_NULL` The meta object literal for the 'Not Null' attribute feature.
`static EReference` `PREDICATE_IS_NULL__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EClass` `PREDICATE_LIKE` The meta object literal for the '`Predicate Like`' class.
`static EReference` `PREDICATE_LIKE__ESCAPE_VALUE_EXPR` The meta object literal for the 'Escape Value Expr' containment reference feature.
`static EReference` `PREDICATE_LIKE__MATCHING_VALUE_EXPR` The meta object literal for the 'Matching Value Expr' containment reference feature.
`static EAttribute` `PREDICATE_LIKE__NOT_LIKE` The meta object literal for the 'Not Like' attribute feature.
`static EReference` `PREDICATE_LIKE__PATTERN_VALUE_EXPR` The meta object literal for the 'Pattern Value Expr' containment reference feature.
`static EClass` `PREDICATE_QUANTIFIED` The meta object literal for the '`Predicate Quantified`' class.
`static EClass` `PREDICATE_QUANTIFIED_ROW_SELECT` The meta object literal for the '`Predicate Quantified Row Select`' class.
`static EAttribute` `PREDICATE_QUANTIFIED_ROW_SELECT__QUANTIFIED_TYPE` The meta object literal for the 'Quantified Type' attribute feature.
`static EReference` `PREDICATE_QUANTIFIED_ROW_SELECT__QUERY_EXPR` The meta object literal for the 'Query Expr' containment reference feature.
`static EReference` `PREDICATE_QUANTIFIED_ROW_SELECT__VALUE_EXPR_LIST` The meta object literal for the 'Value Expr List' containment reference list feature.
`static EEnum` `PREDICATE_QUANTIFIED_TYPE` The meta object literal for the '`Predicate Quantified Type`' enum.
`static EClass` `PREDICATE_QUANTIFIED_VALUE_SELECT` The meta object literal for the '`Predicate Quantified Value Select`' class.
`static EAttribute` `PREDICATE_QUANTIFIED_VALUE_SELECT__COMPARISON_OPERATOR` The meta object literal for the 'Comparison Operator' attribute feature.
`static EAttribute` `PREDICATE_QUANTIFIED_VALUE_SELECT__QUANTIFIED_TYPE` The meta object literal for the 'Quantified Type' attribute feature.
`static EReference` `PREDICATE_QUANTIFIED_VALUE_SELECT__QUERY_EXPR` The meta object literal for the 'Query Expr' containment reference feature.
`static EReference` `PREDICATE_QUANTIFIED_VALUE_SELECT__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EClass` `QUERY_CHANGE_STATEMENT` The meta object literal for the '`Query Change Statement`' class.
`static EClass` `QUERY_COMBINED` The meta object literal for the '`Query Combined`' class.
`static EAttribute` `QUERY_COMBINED__COMBINED_OPERATOR` The meta object literal for the 'Combined Operator' attribute feature.
`static EReference` `QUERY_COMBINED__LEFT_QUERY` The meta object literal for the 'Left Query' containment reference feature.
`static EReference` `QUERY_COMBINED__RIGHT_QUERY` The meta object literal for the 'Right Query' containment reference feature.
`static EEnum` `QUERY_COMBINED_OPERATOR` The meta object literal for the '`Query Combined Operator`' enum.
`static EClass` `QUERY_DELETE_STATEMENT` The meta object literal for the '`Query Delete Statement`' class.
`static EReference` `QUERY_DELETE_STATEMENT__TARGET_TABLE` The meta object literal for the 'Target Table' containment reference feature.
`static EReference` `QUERY_DELETE_STATEMENT__WHERE_CLAUSE` The meta object literal for the 'Where Clause' containment reference feature.
`static EReference` `QUERY_DELETE_STATEMENT__WHERE_CURRENT_OF_CLAUSE` The meta object literal for the 'Where Current Of Clause' containment reference feature.
`static EClass` `QUERY_EXPRESSION_BODY` The meta object literal for the '`Query Expression Body`' class.
`static EReference` `QUERY_EXPRESSION_BODY__COMBINED_LEFT` The meta object literal for the 'Combined Left' container reference feature.
`static EReference` `QUERY_EXPRESSION_BODY__COMBINED_RIGHT` The meta object literal for the 'Combined Right' container reference feature.
`static EReference` `QUERY_EXPRESSION_BODY__PREDICATE_EXISTS` The meta object literal for the 'Predicate Exists' container reference feature.
`static EReference` `QUERY_EXPRESSION_BODY__QUERY_EXPRESSION` The meta object literal for the 'Query Expression' container reference feature.
`static EReference` `QUERY_EXPRESSION_BODY__UPDATE_SOURCE_QUERY` The meta object literal for the 'Update Source Query' container reference feature.
`static EReference` `QUERY_EXPRESSION_BODY__WITH_TABLE_SPECIFICATION` The meta object literal for the 'With Table Specification' container reference feature.
`static EClass` `QUERY_EXPRESSION_ROOT` The meta object literal for the '`Query Expression Root`' class.
`static EReference` `QUERY_EXPRESSION_ROOT__IN_VALUE_ROW_SELECT_RIGHT` The meta object literal for the 'In Value Row Select Right' container reference feature.
`static EReference` `QUERY_EXPRESSION_ROOT__IN_VALUE_SELECT_RIGHT` The meta object literal for the 'In Value Select Right' container reference feature.
`static EReference` `QUERY_EXPRESSION_ROOT__INSERT_STATEMENT` The meta object literal for the 'Insert Statement' container reference feature.
`static EReference` `QUERY_EXPRESSION_ROOT__QUANTIFIED_ROW_SELECT_RIGHT` The meta object literal for the 'Quantified Row Select Right' container reference feature.
`static EReference` `QUERY_EXPRESSION_ROOT__QUANTIFIED_VALUE_SELECT_RIGHT` The meta object literal for the 'Quantified Value Select Right' container reference feature.
`static EReference` `QUERY_EXPRESSION_ROOT__QUERY` The meta object literal for the 'Query' containment reference feature.
`static EReference` `QUERY_EXPRESSION_ROOT__SELECT_STATEMENT` The meta object literal for the 'Select Statement' container reference feature.
`static EReference` `QUERY_EXPRESSION_ROOT__VALUE_EXPR_SCALAR_SELECTS` The meta object literal for the 'Value Expr Scalar Selects' reference list feature.
`static EReference` `QUERY_EXPRESSION_ROOT__WITH_CLAUSE` The meta object literal for the 'With Clause' containment reference list feature.
`static EClass` `QUERY_INSERT_STATEMENT` The meta object literal for the '`Query Insert Statement`' class.
`static EReference` `QUERY_INSERT_STATEMENT__SOURCE_QUERY` The meta object literal for the 'Source Query' containment reference feature.
`static EReference` `QUERY_INSERT_STATEMENT__SOURCE_VALUES_ROW_LIST` The meta object literal for the 'Source Values Row List' containment reference list feature.
`static EReference` `QUERY_INSERT_STATEMENT__TARGET_COLUMN_LIST` The meta object literal for the 'Target Column List' reference list feature.
`static EReference` `QUERY_INSERT_STATEMENT__TARGET_TABLE` The meta object literal for the 'Target Table' containment reference feature.
`static EClass` `QUERY_MERGE_STATEMENT` The meta object literal for the '`Query Merge Statement`' class.
`static EClass` `QUERY_RESULT_SPECIFICATION` The meta object literal for the '`Query Result Specification`' class.
`static EReference` `QUERY_RESULT_SPECIFICATION__QUERY_SELECT` The meta object literal for the 'Query Select' container reference feature.
`static EClass` `QUERY_SEARCH_CONDITION` The meta object literal for the '`Query Search Condition`' class.
`static EReference` `QUERY_SEARCH_CONDITION__COMBINED_LEFT` The meta object literal for the 'Combined Left' container reference feature.
`static EReference` `QUERY_SEARCH_CONDITION__COMBINED_RIGHT` The meta object literal for the 'Combined Right' container reference feature.
`static EReference` `QUERY_SEARCH_CONDITION__DELETE_STATEMENT` The meta object literal for the 'Delete Statement' container reference feature.
`static EAttribute` `QUERY_SEARCH_CONDITION__NEGATED_CONDITION` The meta object literal for the 'Negated Condition' attribute feature.
`static EReference` `QUERY_SEARCH_CONDITION__NEST` The meta object literal for the 'Nest' container reference feature.
`static EReference` `QUERY_SEARCH_CONDITION__QUERY_SELECT_HAVING` The meta object literal for the 'Query Select Having' container reference feature.
`static EReference` `QUERY_SEARCH_CONDITION__QUERY_SELECT_WHERE` The meta object literal for the 'Query Select Where' container reference feature.
`static EReference` `QUERY_SEARCH_CONDITION__TABLE_JOINED` The meta object literal for the 'Table Joined' container reference feature.
`static EReference` `QUERY_SEARCH_CONDITION__UPDATE_STATEMENT` The meta object literal for the 'Update Statement' container reference feature.
`static EReference` `QUERY_SEARCH_CONDITION__VALUE_EXPR_CASE_SEARCH_CONTENT` The meta object literal for the 'Value Expr Case Search Content' container reference feature.
`static EClass` `QUERY_SELECT` The meta object literal for the '`Query Select`' class.
`static EAttribute` `QUERY_SELECT__DISTINCT` The meta object literal for the 'Distinct' attribute feature.
`static EReference` `QUERY_SELECT__FROM_CLAUSE` The meta object literal for the 'From Clause' containment reference list feature.
`static EReference` `QUERY_SELECT__GROUP_BY_CLAUSE` The meta object literal for the 'Group By Clause' containment reference list feature.
`static EReference` `QUERY_SELECT__HAVING_CLAUSE` The meta object literal for the 'Having Clause' containment reference feature.
`static EReference` `QUERY_SELECT__INTO_CLAUSE` The meta object literal for the 'Into Clause' containment reference list feature.
`static EReference` `QUERY_SELECT__SELECT_CLAUSE` The meta object literal for the 'Select Clause' containment reference list feature.
`static EReference` `QUERY_SELECT__WHERE_CLAUSE` The meta object literal for the 'Where Clause' containment reference feature.
`static EClass` `QUERY_SELECT_STATEMENT` The meta object literal for the '`Query Select Statement`' class.
`static EReference` `QUERY_SELECT_STATEMENT__ORDER_BY_CLAUSE` The meta object literal for the 'Order By Clause' containment reference list feature.
`static EReference` `QUERY_SELECT_STATEMENT__QUERY_EXPR` The meta object literal for the 'Query Expr' containment reference feature.
`static EClass` `QUERY_STATEMENT` The meta object literal for the '`Query Statement`' class.
`static EClass` `QUERY_UPDATE_STATEMENT` The meta object literal for the '`Query Update Statement`' class.
`static EReference` `QUERY_UPDATE_STATEMENT__ASSIGNMENT_CLAUSE` The meta object literal for the 'Assignment Clause' containment reference list feature.
`static EReference` `QUERY_UPDATE_STATEMENT__TARGET_TABLE` The meta object literal for the 'Target Table' containment reference feature.
`static EReference` `QUERY_UPDATE_STATEMENT__WHERE_CLAUSE` The meta object literal for the 'Where Clause' containment reference feature.
`static EReference` `QUERY_UPDATE_STATEMENT__WHERE_CURRENT_OF_CLAUSE` The meta object literal for the 'Where Current Of Clause' containment reference feature.
`static EClass` `QUERY_VALUE_EXPRESSION` The meta object literal for the '`Query Value Expression`' class.
`static EReference` `QUERY_VALUE_EXPRESSION__BASIC_LEFT` The meta object literal for the 'Basic Left' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__BASIC_RIGHT` The meta object literal for the 'Basic Right' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__BETWEEN_LEFT` The meta object literal for the 'Between Left' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__BETWEEN_RIGHT1` The meta object literal for the 'Between Right1' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__BETWEEN_RIGHT2` The meta object literal for the 'Between Right2' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__DATA_TYPE` The meta object literal for the 'Data Type' containment reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__GROUPING_EXPR` The meta object literal for the 'Grouping Expr' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__IN_VALUE_LIST_LEFT` The meta object literal for the 'In Value List Left' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__IN_VALUE_LIST_RIGHT` The meta object literal for the 'In Value List Right' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__IN_VALUE_ROW_SELECT_LEFT` The meta object literal for the 'In Value Row Select Left' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__IN_VALUE_SELECT_LEFT` The meta object literal for the 'In Value Select Left' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__LIKE_ESCAPE` The meta object literal for the 'Like Escape' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__LIKE_MATCHING` The meta object literal for the 'Like Matching' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__LIKE_PATTERN` The meta object literal for the 'Like Pattern' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__NEST` The meta object literal for the 'Nest' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__ORDER_BY_VALUE_EXPR` The meta object literal for the 'Order By Value Expr' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__PREDICATE_NULL` The meta object literal for the 'Predicate Null' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__QUANTIFIED_ROW_SELECT_LEFT` The meta object literal for the 'Quantified Row Select Left' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__QUANTIFIED_VALUE_SELECT_LEFT` The meta object literal for the 'Quantified Value Select Left' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__RESULT_COLUMN` The meta object literal for the 'Result Column' container reference feature.
`static EAttribute` `QUERY_VALUE_EXPRESSION__UNARY_OPERATOR` The meta object literal for the 'Unary Operator' attribute feature.
`static EReference` `QUERY_VALUE_EXPRESSION__UPDATE_SOURCE_EXPR_LIST` The meta object literal for the 'Update Source Expr List' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_ELSE` The meta object literal for the 'Value Expr Case Else' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SEARCH_CONTENT` The meta object literal for the 'Value Expr Case Search Content' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE` The meta object literal for the 'Value Expr Case Simple' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT` The meta object literal for the 'Value Expr Case Simple Content Result' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN` The meta object literal for the 'Value Expr Case Simple Content When' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__VALUE_EXPR_CAST` The meta object literal for the 'Value Expr Cast' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__VALUE_EXPR_COMBINED_LEFT` The meta object literal for the 'Value Expr Combined Left' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__VALUE_EXPR_COMBINED_RIGHT` The meta object literal for the 'Value Expr Combined Right' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__VALUE_EXPR_FUNCTION` The meta object literal for the 'Value Expr Function' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__VALUE_EXPR_LABELED_DURATION` The meta object literal for the 'Value Expr Labeled Duration' container reference feature.
`static EReference` `QUERY_VALUE_EXPRESSION__VALUES_ROW` The meta object literal for the 'Values Row' container reference feature.
`static EClass` `QUERY_VALUES` The meta object literal for the '`Query Values`' class.
`static EReference` `QUERY_VALUES__VALUES_ROW_LIST` The meta object literal for the 'Values Row List' containment reference list feature.
`static EClass` `RESULT_COLUMN` The meta object literal for the '`Result Column`' class.
`static EReference` `RESULT_COLUMN__ORDER_BY_RESULT_COL` The meta object literal for the 'Order By Result Col' reference list feature.
`static EReference` `RESULT_COLUMN__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EClass` `RESULT_TABLE_ALL_COLUMNS` The meta object literal for the '`Result Table All Columns`' class.
`static EReference` `RESULT_TABLE_ALL_COLUMNS__TABLE_EXPR` The meta object literal for the 'Table Expr' reference feature.
`static EClass` `SEARCH_CONDITION_COMBINED` The meta object literal for the '`Search Condition Combined`' class.
`static EAttribute` `SEARCH_CONDITION_COMBINED__COMBINED_OPERATOR` The meta object literal for the 'Combined Operator' attribute feature.
`static EReference` `SEARCH_CONDITION_COMBINED__LEFT_CONDITION` The meta object literal for the 'Left Condition' containment reference feature.
`static EReference` `SEARCH_CONDITION_COMBINED__RIGHT_CONDITION` The meta object literal for the 'Right Condition' containment reference feature.
`static EEnum` `SEARCH_CONDITION_COMBINED_OPERATOR` The meta object literal for the '`Search Condition Combined Operator`' enum.
`static EClass` `SEARCH_CONDITION_NESTED` The meta object literal for the '`Search Condition Nested`' class.
`static EReference` `SEARCH_CONDITION_NESTED__NESTED_CONDITION` The meta object literal for the 'Nested Condition' containment reference feature.
`static EClass` `SQL_QUERY_OBJECT` The meta object literal for the '`SQL Query Object`' class.
`static EClass` `SUPER_GROUP` The meta object literal for the '`Super Group`' class.
`static EReference` `SUPER_GROUP__SUPER_GROUP_ELEMENT_LIST` The meta object literal for the 'Super Group Element List' containment reference list feature.
`static EAttribute` `SUPER_GROUP__SUPER_GROUP_TYPE` The meta object literal for the 'Super Group Type' attribute feature.
`static EClass` `SUPER_GROUP_ELEMENT` The meta object literal for the '`Super Group Element`' class.
`static EReference` `SUPER_GROUP_ELEMENT__SUPER_GROUP` The meta object literal for the 'Super Group' container reference feature.
`static EClass` `SUPER_GROUP_ELEMENT_EXPRESSION` The meta object literal for the '`Super Group Element Expression`' class.
`static EReference` `SUPER_GROUP_ELEMENT_EXPRESSION__GROUPING_EXPR` The meta object literal for the 'Grouping Expr' containment reference feature.
`static EReference` `SUPER_GROUP_ELEMENT_EXPRESSION__SUPER_GROUP_ELEMENT_SUBLIST` The meta object literal for the 'Super Group Element Sublist' container reference feature.
`static EClass` `SUPER_GROUP_ELEMENT_SUBLIST` The meta object literal for the '`Super Group Element Sublist`' class.
`static EReference` `SUPER_GROUP_ELEMENT_SUBLIST__SUPER_GROUP_ELEMENT_EXPR_LIST` The meta object literal for the 'Super Group Element Expr List' containment reference list feature.
`static EEnum` `SUPER_GROUP_TYPE` The meta object literal for the '`Super Group Type`' enum.
`static EClass` `TABLE_CORRELATION` The meta object literal for the '`Table Correlation`' class.
`static EReference` `TABLE_CORRELATION__COLUMN_NAME_LIST` The meta object literal for the 'Column Name List' containment reference list feature.
`static EReference` `TABLE_CORRELATION__TABLE_EXPR` The meta object literal for the 'Table Expr' container reference feature.
`static EClass` `TABLE_EXPRESSION` The meta object literal for the '`Table Expression`' class.
`static EReference` `TABLE_EXPRESSION__COLUMN_LIST` The meta object literal for the 'Column List' containment reference list feature.
`static EReference` `TABLE_EXPRESSION__RESULT_TABLE_ALL_COLUMNS` The meta object literal for the 'Result Table All Columns' reference list feature.
`static EReference` `TABLE_EXPRESSION__TABLE_CORRELATION` The meta object literal for the 'Table Correlation' containment reference feature.
`static EReference` `TABLE_EXPRESSION__VALUE_EXPR_COLUMNS` The meta object literal for the 'Value Expr Columns' reference list feature.
`static EClass` `TABLE_FUNCTION` The meta object literal for the '`Table Function`' class.
`static EClass` `TABLE_IN_DATABASE` The meta object literal for the '`Table In Database`' class.
`static EReference` `TABLE_IN_DATABASE__DATABASE_TABLE` The meta object literal for the 'Database Table' reference feature.
`static EReference` `TABLE_IN_DATABASE__DELETE_STATEMENT` The meta object literal for the 'Delete Statement' container reference feature.
`static EReference` `TABLE_IN_DATABASE__DERIVED_COLUMN_LIST` The meta object literal for the 'Derived Column List' reference list feature.
`static EReference` `TABLE_IN_DATABASE__INSERT_STATEMENT` The meta object literal for the 'Insert Statement' container reference feature.
`static EReference` `TABLE_IN_DATABASE__UPDATE_STATEMENT` The meta object literal for the 'Update Statement' container reference feature.
`static EClass` `TABLE_JOINED` The meta object literal for the '`Table Joined`' class.
`static EReference` `TABLE_JOINED__JOIN_CONDITION` The meta object literal for the 'Join Condition' containment reference feature.
`static EAttribute` `TABLE_JOINED__JOIN_OPERATOR` The meta object literal for the 'Join Operator' attribute feature.
`static EReference` `TABLE_JOINED__TABLE_REF_LEFT` The meta object literal for the 'Table Ref Left' containment reference feature.
`static EReference` `TABLE_JOINED__TABLE_REF_RIGHT` The meta object literal for the 'Table Ref Right' containment reference feature.
`static EEnum` `TABLE_JOINED_OPERATOR` The meta object literal for the '`Table Joined Operator`' enum.
`static EClass` `TABLE_NESTED` The meta object literal for the '`Table Nested`' class.
`static EReference` `TABLE_NESTED__NESTED_TABLE_REF` The meta object literal for the 'Nested Table Ref' containment reference feature.
`static EClass` `TABLE_REFERENCE` The meta object literal for the '`Table Reference`' class.
`static EReference` `TABLE_REFERENCE__NEST` The meta object literal for the 'Nest' container reference feature.
`static EReference` `TABLE_REFERENCE__QUERY_SELECT` The meta object literal for the 'Query Select' container reference feature.
`static EReference` `TABLE_REFERENCE__TABLE_JOINED_LEFT` The meta object literal for the 'Table Joined Left' container reference feature.
`static EReference` `TABLE_REFERENCE__TABLE_JOINED_RIGHT` The meta object literal for the 'Table Joined Right' container reference feature.
`static EClass` `UPDATE_ASSIGNMENT_EXPRESSION` The meta object literal for the '`Update Assignment Expression`' class.
`static EReference` `UPDATE_ASSIGNMENT_EXPRESSION__TARGET_COLUMN_LIST` The meta object literal for the 'Target Column List' reference list feature.
`static EReference` `UPDATE_ASSIGNMENT_EXPRESSION__UPDATE_SOURCE` The meta object literal for the 'Update Source' containment reference feature.
`static EReference` `UPDATE_ASSIGNMENT_EXPRESSION__UPDATE_STATEMENT` The meta object literal for the 'Update Statement' container reference feature.
`static EClass` `UPDATE_SOURCE` The meta object literal for the '`Update Source`' class.
`static EReference` `UPDATE_SOURCE__UPDATE_ASSIGNMENT_EXPR` The meta object literal for the 'Update Assignment Expr' container reference feature.
`static EClass` `UPDATE_SOURCE_EXPR_LIST` The meta object literal for the '`Update Source Expr List`' class.
`static EReference` `UPDATE_SOURCE_EXPR_LIST__VALUE_EXPR_LIST` The meta object literal for the 'Value Expr List' containment reference list feature.
`static EClass` `UPDATE_SOURCE_QUERY` The meta object literal for the '`Update Source Query`' class.
`static EReference` `UPDATE_SOURCE_QUERY__QUERY_EXPR` The meta object literal for the 'Query Expr' containment reference feature.
`static EClass` `VALUE_EXPRESSION_ATOMIC` The meta object literal for the '`Value Expression Atomic`' class.
`static EClass` `VALUE_EXPRESSION_CASE` The meta object literal for the '`Value Expression Case`' class.
`static EReference` `VALUE_EXPRESSION_CASE__CASE_ELSE` The meta object literal for the 'Case Else' containment reference feature.
`static EClass` `VALUE_EXPRESSION_CASE_ELSE` The meta object literal for the '`Value Expression Case Else`' class.
`static EReference` `VALUE_EXPRESSION_CASE_ELSE__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `VALUE_EXPRESSION_CASE_ELSE__VALUE_EXPR_CASE` The meta object literal for the 'Value Expr Case' container reference feature.
`static EClass` `VALUE_EXPRESSION_CASE_SEARCH` The meta object literal for the '`Value Expression Case Search`' class.
`static EReference` `VALUE_EXPRESSION_CASE_SEARCH__SEARCH_CONTENT_LIST` The meta object literal for the 'Search Content List' containment reference list feature.
`static EClass` `VALUE_EXPRESSION_CASE_SEARCH_CONTENT` The meta object literal for the '`Value Expression Case Search Content`' class.
`static EReference` `VALUE_EXPRESSION_CASE_SEARCH_CONTENT__SEARCH_CONDITION` The meta object literal for the 'Search Condition' containment reference feature.
`static EReference` `VALUE_EXPRESSION_CASE_SEARCH_CONTENT__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EReference` `VALUE_EXPRESSION_CASE_SEARCH_CONTENT__VALUE_EXPR_CASE_SEARCH` The meta object literal for the 'Value Expr Case Search' container reference feature.
`static EClass` `VALUE_EXPRESSION_CASE_SIMPLE` The meta object literal for the '`Value Expression Case Simple`' class.
`static EReference` `VALUE_EXPRESSION_CASE_SIMPLE__CONTENT_LIST` The meta object literal for the 'Content List' containment reference list feature.
`static EReference` `VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EClass` `VALUE_EXPRESSION_CASE_SIMPLE_CONTENT` The meta object literal for the '`Value Expression Case Simple Content`' class.
`static EReference` `VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__RESULT_VALUE_EXPR` The meta object literal for the 'Result Value Expr' containment reference feature.
`static EReference` `VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__VALUE_EXPR_CASE_SIMPLE` The meta object literal for the 'Value Expr Case Simple' container reference feature.
`static EReference` `VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__WHEN_VALUE_EXPR` The meta object literal for the 'When Value Expr' containment reference feature.
`static EClass` `VALUE_EXPRESSION_CAST` The meta object literal for the '`Value Expression Cast`' class.
`static EReference` `VALUE_EXPRESSION_CAST__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EClass` `VALUE_EXPRESSION_COLUMN` The meta object literal for the '`Value Expression Column`' class.
`static EReference` `VALUE_EXPRESSION_COLUMN__ASSIGNMENT_EXPR_TARGET` The meta object literal for the 'Assignment Expr Target' reference list feature.
`static EReference` `VALUE_EXPRESSION_COLUMN__INSERT_STATEMENT` The meta object literal for the 'Insert Statement' reference list feature.
`static EReference` `VALUE_EXPRESSION_COLUMN__PARENT_TABLE_EXPR` The meta object literal for the 'Parent Table Expr' container reference feature.
`static EReference` `VALUE_EXPRESSION_COLUMN__TABLE_EXPR` The meta object literal for the 'Table Expr' reference feature.
`static EReference` `VALUE_EXPRESSION_COLUMN__TABLE_IN_DATABASE` The meta object literal for the 'Table In Database' reference feature.
`static EClass` `VALUE_EXPRESSION_COMBINED` The meta object literal for the '`Value Expression Combined`' class.
`static EAttribute` `VALUE_EXPRESSION_COMBINED__COMBINED_OPERATOR` The meta object literal for the 'Combined Operator' attribute feature.
`static EReference` `VALUE_EXPRESSION_COMBINED__LEFT_VALUE_EXPR` The meta object literal for the 'Left Value Expr' containment reference feature.
`static EReference` `VALUE_EXPRESSION_COMBINED__RIGHT_VALUE_EXPR` The meta object literal for the 'Right Value Expr' containment reference feature.
`static EEnum` `VALUE_EXPRESSION_COMBINED_OPERATOR` The meta object literal for the '`Value Expression Combined Operator`' enum.
`static EClass` `VALUE_EXPRESSION_DEFAULT_VALUE` The meta object literal for the '`Value Expression Default Value`' class.
`static EClass` `VALUE_EXPRESSION_FUNCTION` The meta object literal for the '`Value Expression Function`' class.
`static EAttribute` `VALUE_EXPRESSION_FUNCTION__COLUMN_FUNCTION` The meta object literal for the 'Column Function' attribute feature.
`static EAttribute` `VALUE_EXPRESSION_FUNCTION__DISTINCT` The meta object literal for the 'Distinct' attribute feature.
`static EReference` `VALUE_EXPRESSION_FUNCTION__FUNCTION` The meta object literal for the 'Function' reference feature.
`static EReference` `VALUE_EXPRESSION_FUNCTION__PARAMETER_LIST` The meta object literal for the 'Parameter List' containment reference list feature.
`static EAttribute` `VALUE_EXPRESSION_FUNCTION__SPECIAL_REGISTER` The meta object literal for the 'Special Register' attribute feature.
`static EClass` `VALUE_EXPRESSION_LABELED_DURATION` The meta object literal for the '`Value Expression Labeled Duration`' class.
`static EAttribute` `VALUE_EXPRESSION_LABELED_DURATION__LABELED_DURATION_TYPE` The meta object literal for the 'Labeled Duration Type' attribute feature.
`static EReference` `VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR` The meta object literal for the 'Value Expr' containment reference feature.
`static EEnum` `VALUE_EXPRESSION_LABELED_DURATION_TYPE` The meta object literal for the '`Value Expression Labeled Duration Type`' enum.
`static EClass` `VALUE_EXPRESSION_NESTED` The meta object literal for the '`Value Expression Nested`' class.
`static EReference` `VALUE_EXPRESSION_NESTED__NESTED_VALUE_EXPR` The meta object literal for the 'Nested Value Expr' containment reference feature.
`static EClass` `VALUE_EXPRESSION_NULL_VALUE` The meta object literal for the '`Value Expression Null Value`' class.
`static EClass` `VALUE_EXPRESSION_SCALAR_SELECT` The meta object literal for the '`Value Expression Scalar Select`' class.
`static EReference` `VALUE_EXPRESSION_SCALAR_SELECT__QUERY_EXPR` The meta object literal for the 'Query Expr' reference feature.
`static EClass` `VALUE_EXPRESSION_SIMPLE` The meta object literal for the '`Value Expression Simple`' class.
`static EAttribute` `VALUE_EXPRESSION_SIMPLE__VALUE` The meta object literal for the 'Value' attribute feature.
`static EEnum` `VALUE_EXPRESSION_UNARY_OPERATOR` The meta object literal for the '`Value Expression Unary Operator`' enum.
`static EClass` `VALUE_EXPRESSION_VARIABLE` The meta object literal for the '`Value Expression Variable`' class.
`static EReference` `VALUE_EXPRESSION_VARIABLE__QUERY_SELECT` The meta object literal for the 'Query Select' container reference feature.
`static EClass` `VALUES_ROW` The meta object literal for the '`Values Row`' class.
`static EReference` `VALUES_ROW__EXPR_LIST` The meta object literal for the 'Expr List' containment reference list feature.
`static EReference` `VALUES_ROW__INSERT_STATEMENT` The meta object literal for the 'Insert Statement' container reference feature.
`static EReference` `VALUES_ROW__QUERY_VALUES` The meta object literal for the 'Query Values' container reference feature.
`static EClass` `WITH_TABLE_REFERENCE` The meta object literal for the '`With Table Reference`' class.
`static EReference` `WITH_TABLE_REFERENCE__WITH_TABLE_SPECIFICATION` The meta object literal for the 'With Table Specification' reference feature.
`static EClass` `WITH_TABLE_SPECIFICATION` The meta object literal for the '`With Table Specification`' class.
`static EReference` `WITH_TABLE_SPECIFICATION__COLUMN_NAME_LIST` The meta object literal for the 'Column Name List' containment reference list feature.
`static EReference` `WITH_TABLE_SPECIFICATION__QUERY_EXPRESSION_ROOT` The meta object literal for the 'Query Expression Root' container reference feature.
`static EReference` `WITH_TABLE_SPECIFICATION__WITH_TABLE_QUERY_EXPR` The meta object literal for the 'With Table Query Expr' containment reference feature.
`static EReference` `WITH_TABLE_SPECIFICATION__WITH_TABLE_REFERENCES` The meta object literal for the 'With Table References' reference list feature.

Field Detail

### QUERY_STATEMENT

    public static final EClass QUERY_STATEMENT

  The meta object literal for the '`Query Statement`' class.

  See Also:
    `QueryStatementImpl`, `SQLQueryModelPackageImpl.getQueryStatement()`

### QUERY_DELETE_STATEMENT

    public static final EClass QUERY_DELETE_STATEMENT

  The meta object literal for the '`Query Delete Statement`' class.

  See Also:
    `QueryDeleteStatementImpl`, `SQLQueryModelPackageImpl.getQueryDeleteStatement()`

### QUERY_DELETE_STATEMENT__WHERE_CURRENT_OF_CLAUSE

    public static final EReference QUERY_DELETE_STATEMENT__WHERE_CURRENT_OF_CLAUSE

  The meta object literal for the 'Where Current Of Clause' containment reference feature.

### QUERY_DELETE_STATEMENT__WHERE_CLAUSE

    public static final EReference QUERY_DELETE_STATEMENT__WHERE_CLAUSE

  The meta object literal for the 'Where Clause' containment reference feature.

### QUERY_DELETE_STATEMENT__TARGET_TABLE

    public static final EReference QUERY_DELETE_STATEMENT__TARGET_TABLE

  The meta object literal for the 'Target Table' containment reference feature.

### QUERY_INSERT_STATEMENT

    public static final EClass QUERY_INSERT_STATEMENT

  The meta object literal for the '`Query Insert Statement`' class.

  See Also:
    `QueryInsertStatementImpl`, `SQLQueryModelPackageImpl.getQueryInsertStatement()`

### QUERY_INSERT_STATEMENT__SOURCE_QUERY

    public static final EReference QUERY_INSERT_STATEMENT__SOURCE_QUERY

  The meta object literal for the 'Source Query' containment reference feature.

### QUERY_INSERT_STATEMENT__SOURCE_VALUES_ROW_LIST

    public static final EReference QUERY_INSERT_STATEMENT__SOURCE_VALUES_ROW_LIST

  The meta object literal for the 'Source Values Row List' containment reference list feature.

### QUERY_INSERT_STATEMENT__TARGET_TABLE

    public static final EReference QUERY_INSERT_STATEMENT__TARGET_TABLE

  The meta object literal for the 'Target Table' containment reference feature.

### QUERY_INSERT_STATEMENT__TARGET_COLUMN_LIST

    public static final EReference QUERY_INSERT_STATEMENT__TARGET_COLUMN_LIST

  The meta object literal for the 'Target Column List' reference list feature.

### QUERY_SELECT_STATEMENT

    public static final EClass QUERY_SELECT_STATEMENT

  The meta object literal for the '`Query Select Statement`' class.

  See Also:
    `QuerySelectStatementImpl`, `SQLQueryModelPackageImpl.getQuerySelectStatement()`

### QUERY_SELECT_STATEMENT__QUERY_EXPR

    public static final EReference QUERY_SELECT_STATEMENT__QUERY_EXPR

  The meta object literal for the 'Query Expr' containment reference feature.

### QUERY_SELECT_STATEMENT__ORDER_BY_CLAUSE

    public static final EReference QUERY_SELECT_STATEMENT__ORDER_BY_CLAUSE

  The meta object literal for the 'Order By Clause' containment reference list feature.

### QUERY_UPDATE_STATEMENT

    public static final EClass QUERY_UPDATE_STATEMENT

  The meta object literal for the '`Query Update Statement`' class.

  See Also:
    `QueryUpdateStatementImpl`, `SQLQueryModelPackageImpl.getQueryUpdateStatement()`

### QUERY_UPDATE_STATEMENT__ASSIGNMENT_CLAUSE

    public static final EReference QUERY_UPDATE_STATEMENT__ASSIGNMENT_CLAUSE

  The meta object literal for the 'Assignment Clause' containment reference list feature.

### QUERY_UPDATE_STATEMENT__WHERE_CURRENT_OF_CLAUSE

    public static final EReference QUERY_UPDATE_STATEMENT__WHERE_CURRENT_OF_CLAUSE

  The meta object literal for the 'Where Current Of Clause' containment reference feature.

### QUERY_UPDATE_STATEMENT__WHERE_CLAUSE

    public static final EReference QUERY_UPDATE_STATEMENT__WHERE_CLAUSE

  The meta object literal for the 'Where Clause' containment reference feature.

### QUERY_UPDATE_STATEMENT__TARGET_TABLE

    public static final EReference QUERY_UPDATE_STATEMENT__TARGET_TABLE

  The meta object literal for the 'Target Table' containment reference feature.

### UPDATE_ASSIGNMENT_EXPRESSION

    public static final EClass UPDATE_ASSIGNMENT_EXPRESSION

  The meta object literal for the '`Update Assignment Expression`' class.

  See Also:
    `UpdateAssignmentExpressionImpl`, `SQLQueryModelPackageImpl.getUpdateAssignmentExpression()`

### UPDATE_ASSIGNMENT_EXPRESSION__UPDATE_STATEMENT

    public static final EReference UPDATE_ASSIGNMENT_EXPRESSION__UPDATE_STATEMENT

  The meta object literal for the 'Update Statement' container reference feature.

### UPDATE_ASSIGNMENT_EXPRESSION__TARGET_COLUMN_LIST

    public static final EReference UPDATE_ASSIGNMENT_EXPRESSION__TARGET_COLUMN_LIST

  The meta object literal for the 'Target Column List' reference list feature.

### UPDATE_ASSIGNMENT_EXPRESSION__UPDATE_SOURCE

    public static final EReference UPDATE_ASSIGNMENT_EXPRESSION__UPDATE_SOURCE

  The meta object literal for the 'Update Source' containment reference feature.

### CURSOR_REFERENCE

    public static final EClass CURSOR_REFERENCE

  The meta object literal for the '`Cursor Reference`' class.

  See Also:
    `CursorReferenceImpl`, `SQLQueryModelPackageImpl.getCursorReference()`

### CURSOR_REFERENCE__UPDATE_STATEMENT

    public static final EReference CURSOR_REFERENCE__UPDATE_STATEMENT

  The meta object literal for the 'Update Statement' container reference feature.

### CURSOR_REFERENCE__DELETE_STATEMENT

    public static final EReference CURSOR_REFERENCE__DELETE_STATEMENT

  The meta object literal for the 'Delete Statement' container reference feature.

### QUERY_SEARCH_CONDITION

    public static final EClass QUERY_SEARCH_CONDITION

  The meta object literal for the '`Query Search Condition`' class.

  See Also:
    `QuerySearchConditionImpl`, `SQLQueryModelPackageImpl.getQuerySearchCondition()`

### QUERY_SEARCH_CONDITION__NEGATED_CONDITION

    public static final EAttribute QUERY_SEARCH_CONDITION__NEGATED_CONDITION

  The meta object literal for the 'Negated Condition' attribute feature.

### QUERY_SEARCH_CONDITION__UPDATE_STATEMENT

    public static final EReference QUERY_SEARCH_CONDITION__UPDATE_STATEMENT

  The meta object literal for the 'Update Statement' container reference feature.

### QUERY_SEARCH_CONDITION__DELETE_STATEMENT

    public static final EReference QUERY_SEARCH_CONDITION__DELETE_STATEMENT

  The meta object literal for the 'Delete Statement' container reference feature.

### QUERY_SEARCH_CONDITION__TABLE_JOINED

    public static final EReference QUERY_SEARCH_CONDITION__TABLE_JOINED

  The meta object literal for the 'Table Joined' container reference feature.

### QUERY_SEARCH_CONDITION__COMBINED_LEFT

    public static final EReference QUERY_SEARCH_CONDITION__COMBINED_LEFT

  The meta object literal for the 'Combined Left' container reference feature.

### QUERY_SEARCH_CONDITION__COMBINED_RIGHT

    public static final EReference QUERY_SEARCH_CONDITION__COMBINED_RIGHT

  The meta object literal for the 'Combined Right' container reference feature.

### QUERY_SEARCH_CONDITION__QUERY_SELECT_HAVING

    public static final EReference QUERY_SEARCH_CONDITION__QUERY_SELECT_HAVING

  The meta object literal for the 'Query Select Having' container reference feature.

### QUERY_SEARCH_CONDITION__QUERY_SELECT_WHERE

    public static final EReference QUERY_SEARCH_CONDITION__QUERY_SELECT_WHERE

  The meta object literal for the 'Query Select Where' container reference feature.

### QUERY_SEARCH_CONDITION__VALUE_EXPR_CASE_SEARCH_CONTENT

    public static final EReference QUERY_SEARCH_CONDITION__VALUE_EXPR_CASE_SEARCH_CONTENT

  The meta object literal for the 'Value Expr Case Search Content' container reference feature.

### QUERY_SEARCH_CONDITION__NEST

    public static final EReference QUERY_SEARCH_CONDITION__NEST

  The meta object literal for the 'Nest' container reference feature.

### QUERY_EXPRESSION_BODY

    public static final EClass QUERY_EXPRESSION_BODY

  The meta object literal for the '`Query Expression Body`' class.

  See Also:
    `QueryExpressionBodyImpl`, `SQLQueryModelPackageImpl.getQueryExpressionBody()`

### QUERY_EXPRESSION_BODY__QUERY_EXPRESSION

    public static final EReference QUERY_EXPRESSION_BODY__QUERY_EXPRESSION

  The meta object literal for the 'Query Expression' container reference feature.

### QUERY_EXPRESSION_BODY__COMBINED_LEFT

    public static final EReference QUERY_EXPRESSION_BODY__COMBINED_LEFT

  The meta object literal for the 'Combined Left' container reference feature.

### QUERY_EXPRESSION_BODY__COMBINED_RIGHT

    public static final EReference QUERY_EXPRESSION_BODY__COMBINED_RIGHT

  The meta object literal for the 'Combined Right' container reference feature.

### QUERY_EXPRESSION_BODY__PREDICATE_EXISTS

    public static final EReference QUERY_EXPRESSION_BODY__PREDICATE_EXISTS

  The meta object literal for the 'Predicate Exists' container reference feature.

### QUERY_EXPRESSION_BODY__UPDATE_SOURCE_QUERY

    public static final EReference QUERY_EXPRESSION_BODY__UPDATE_SOURCE_QUERY

  The meta object literal for the 'Update Source Query' container reference feature.

### QUERY_EXPRESSION_BODY__WITH_TABLE_SPECIFICATION

    public static final EReference QUERY_EXPRESSION_BODY__WITH_TABLE_SPECIFICATION

  The meta object literal for the 'With Table Specification' container reference feature.

### QUERY_VALUE_EXPRESSION

    public static final EClass QUERY_VALUE_EXPRESSION

  The meta object literal for the '`Query Value Expression`' class.

  See Also:
    `QueryValueExpressionImpl`, `SQLQueryModelPackageImpl.getQueryValueExpression()`

### QUERY_VALUE_EXPRESSION__UNARY_OPERATOR

    public static final EAttribute QUERY_VALUE_EXPRESSION__UNARY_OPERATOR

  The meta object literal for the 'Unary Operator' attribute feature.

### QUERY_VALUE_EXPRESSION__DATA_TYPE

    public static final EReference QUERY_VALUE_EXPRESSION__DATA_TYPE

  The meta object literal for the 'Data Type' containment reference feature.

### QUERY_VALUE_EXPRESSION__VALUES_ROW

    public static final EReference QUERY_VALUE_EXPRESSION__VALUES_ROW

  The meta object literal for the 'Values Row' container reference feature.

### QUERY_VALUE_EXPRESSION__ORDER_BY_VALUE_EXPR

    public static final EReference QUERY_VALUE_EXPRESSION__ORDER_BY_VALUE_EXPR

  The meta object literal for the 'Order By Value Expr' container reference feature.

### QUERY_VALUE_EXPRESSION__RESULT_COLUMN

    public static final EReference QUERY_VALUE_EXPRESSION__RESULT_COLUMN

  The meta object literal for the 'Result Column' container reference feature.

### QUERY_VALUE_EXPRESSION__BASIC_RIGHT

    public static final EReference QUERY_VALUE_EXPRESSION__BASIC_RIGHT

  The meta object literal for the 'Basic Right' container reference feature.

### QUERY_VALUE_EXPRESSION__BASIC_LEFT

    public static final EReference QUERY_VALUE_EXPRESSION__BASIC_LEFT

  The meta object literal for the 'Basic Left' container reference feature.

### QUERY_VALUE_EXPRESSION__LIKE_PATTERN

    public static final EReference QUERY_VALUE_EXPRESSION__LIKE_PATTERN

  The meta object literal for the 'Like Pattern' container reference feature.

### QUERY_VALUE_EXPRESSION__LIKE_MATCHING

    public static final EReference QUERY_VALUE_EXPRESSION__LIKE_MATCHING

  The meta object literal for the 'Like Matching' container reference feature.

### QUERY_VALUE_EXPRESSION__PREDICATE_NULL

    public static final EReference QUERY_VALUE_EXPRESSION__PREDICATE_NULL

  The meta object literal for the 'Predicate Null' container reference feature.

### QUERY_VALUE_EXPRESSION__IN_VALUE_LIST_RIGHT

    public static final EReference QUERY_VALUE_EXPRESSION__IN_VALUE_LIST_RIGHT

  The meta object literal for the 'In Value List Right' container reference feature.

### QUERY_VALUE_EXPRESSION__IN_VALUE_LIST_LEFT

    public static final EReference QUERY_VALUE_EXPRESSION__IN_VALUE_LIST_LEFT

  The meta object literal for the 'In Value List Left' container reference feature.

### QUERY_VALUE_EXPRESSION__IN_VALUE_ROW_SELECT_LEFT

    public static final EReference QUERY_VALUE_EXPRESSION__IN_VALUE_ROW_SELECT_LEFT

  The meta object literal for the 'In Value Row Select Left' container reference feature.

### QUERY_VALUE_EXPRESSION__IN_VALUE_SELECT_LEFT

    public static final EReference QUERY_VALUE_EXPRESSION__IN_VALUE_SELECT_LEFT

  The meta object literal for the 'In Value Select Left' container reference feature.

### QUERY_VALUE_EXPRESSION__QUANTIFIED_ROW_SELECT_LEFT

    public static final EReference QUERY_VALUE_EXPRESSION__QUANTIFIED_ROW_SELECT_LEFT

  The meta object literal for the 'Quantified Row Select Left' container reference feature.

### QUERY_VALUE_EXPRESSION__QUANTIFIED_VALUE_SELECT_LEFT

    public static final EReference QUERY_VALUE_EXPRESSION__QUANTIFIED_VALUE_SELECT_LEFT

  The meta object literal for the 'Quantified Value Select Left' container reference feature.

### QUERY_VALUE_EXPRESSION__BETWEEN_LEFT

    public static final EReference QUERY_VALUE_EXPRESSION__BETWEEN_LEFT

  The meta object literal for the 'Between Left' container reference feature.

### QUERY_VALUE_EXPRESSION__BETWEEN_RIGHT1

    public static final EReference QUERY_VALUE_EXPRESSION__BETWEEN_RIGHT1

  The meta object literal for the 'Between Right1' container reference feature.

### QUERY_VALUE_EXPRESSION__BETWEEN_RIGHT2

    public static final EReference QUERY_VALUE_EXPRESSION__BETWEEN_RIGHT2

  The meta object literal for the 'Between Right2' container reference feature.

### QUERY_VALUE_EXPRESSION__VALUE_EXPR_CAST

    public static final EReference QUERY_VALUE_EXPRESSION__VALUE_EXPR_CAST

  The meta object literal for the 'Value Expr Cast' container reference feature.

### QUERY_VALUE_EXPRESSION__VALUE_EXPR_FUNCTION

    public static final EReference QUERY_VALUE_EXPRESSION__VALUE_EXPR_FUNCTION

  The meta object literal for the 'Value Expr Function' container reference feature.

### QUERY_VALUE_EXPRESSION__VALUE_EXPR_COMBINED_LEFT

    public static final EReference QUERY_VALUE_EXPRESSION__VALUE_EXPR_COMBINED_LEFT

  The meta object literal for the 'Value Expr Combined Left' container reference feature.

### QUERY_VALUE_EXPRESSION__VALUE_EXPR_COMBINED_RIGHT

    public static final EReference QUERY_VALUE_EXPRESSION__VALUE_EXPR_COMBINED_RIGHT

  The meta object literal for the 'Value Expr Combined Right' container reference feature.

### QUERY_VALUE_EXPRESSION__GROUPING_EXPR

    public static final EReference QUERY_VALUE_EXPRESSION__GROUPING_EXPR

  The meta object literal for the 'Grouping Expr' container reference feature.

### QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_ELSE

    public static final EReference QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_ELSE

  The meta object literal for the 'Value Expr Case Else' container reference feature.

### QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE

    public static final EReference QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE

  The meta object literal for the 'Value Expr Case Simple' container reference feature.

### QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN

    public static final EReference QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN

  The meta object literal for the 'Value Expr Case Simple Content When' container reference feature.

### QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT

    public static final EReference QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT

  The meta object literal for the 'Value Expr Case Simple Content Result' container reference feature.

### QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SEARCH_CONTENT

    public static final EReference QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SEARCH_CONTENT

  The meta object literal for the 'Value Expr Case Search Content' container reference feature.

### QUERY_VALUE_EXPRESSION__LIKE_ESCAPE

    public static final EReference QUERY_VALUE_EXPRESSION__LIKE_ESCAPE

  The meta object literal for the 'Like Escape' container reference feature.

### QUERY_VALUE_EXPRESSION__VALUE_EXPR_LABELED_DURATION

    public static final EReference QUERY_VALUE_EXPRESSION__VALUE_EXPR_LABELED_DURATION

  The meta object literal for the 'Value Expr Labeled Duration' container reference feature.

### QUERY_VALUE_EXPRESSION__NEST

    public static final EReference QUERY_VALUE_EXPRESSION__NEST

  The meta object literal for the 'Nest' container reference feature.

### QUERY_VALUE_EXPRESSION__UPDATE_SOURCE_EXPR_LIST

    public static final EReference QUERY_VALUE_EXPRESSION__UPDATE_SOURCE_EXPR_LIST

  The meta object literal for the 'Update Source Expr List' container reference feature.

### QUERY_EXPRESSION_ROOT

    public static final EClass QUERY_EXPRESSION_ROOT

  The meta object literal for the '`Query Expression Root`' class.

  See Also:
    `QueryExpressionRootImpl`, `SQLQueryModelPackageImpl.getQueryExpressionRoot()`

### QUERY_EXPRESSION_ROOT__INSERT_STATEMENT

    public static final EReference QUERY_EXPRESSION_ROOT__INSERT_STATEMENT

  The meta object literal for the 'Insert Statement' container reference feature.

### QUERY_EXPRESSION_ROOT__SELECT_STATEMENT

    public static final EReference QUERY_EXPRESSION_ROOT__SELECT_STATEMENT

  The meta object literal for the 'Select Statement' container reference feature.

### QUERY_EXPRESSION_ROOT__WITH_CLAUSE

    public static final EReference QUERY_EXPRESSION_ROOT__WITH_CLAUSE

  The meta object literal for the 'With Clause' containment reference list feature.

### QUERY_EXPRESSION_ROOT__QUERY

    public static final EReference QUERY_EXPRESSION_ROOT__QUERY

  The meta object literal for the 'Query' containment reference feature.

### QUERY_EXPRESSION_ROOT__IN_VALUE_ROW_SELECT_RIGHT

    public static final EReference QUERY_EXPRESSION_ROOT__IN_VALUE_ROW_SELECT_RIGHT

  The meta object literal for the 'In Value Row Select Right' container reference feature.

### QUERY_EXPRESSION_ROOT__IN_VALUE_SELECT_RIGHT

    public static final EReference QUERY_EXPRESSION_ROOT__IN_VALUE_SELECT_RIGHT

  The meta object literal for the 'In Value Select Right' container reference feature.

### QUERY_EXPRESSION_ROOT__QUANTIFIED_ROW_SELECT_RIGHT

    public static final EReference QUERY_EXPRESSION_ROOT__QUANTIFIED_ROW_SELECT_RIGHT

  The meta object literal for the 'Quantified Row Select Right' container reference feature.

### QUERY_EXPRESSION_ROOT__QUANTIFIED_VALUE_SELECT_RIGHT

    public static final EReference QUERY_EXPRESSION_ROOT__QUANTIFIED_VALUE_SELECT_RIGHT

  The meta object literal for the 'Quantified Value Select Right' container reference feature.

### QUERY_EXPRESSION_ROOT__VALUE_EXPR_SCALAR_SELECTS

    public static final EReference QUERY_EXPRESSION_ROOT__VALUE_EXPR_SCALAR_SELECTS

  The meta object literal for the 'Value Expr Scalar Selects' reference list feature.

### VALUES_ROW

    public static final EClass VALUES_ROW

  The meta object literal for the '`Values Row`' class.

  See Also:
    `ValuesRowImpl`, `SQLQueryModelPackageImpl.getValuesRow()`

### VALUES_ROW__INSERT_STATEMENT

    public static final EReference VALUES_ROW__INSERT_STATEMENT

  The meta object literal for the 'Insert Statement' container reference feature.

### VALUES_ROW__EXPR_LIST

    public static final EReference VALUES_ROW__EXPR_LIST

  The meta object literal for the 'Expr List' containment reference list feature.

### VALUES_ROW__QUERY_VALUES

    public static final EReference VALUES_ROW__QUERY_VALUES

  The meta object literal for the 'Query Values' container reference feature.

### QUERY_VALUES

    public static final EClass QUERY_VALUES

  The meta object literal for the '`Query Values`' class.

  See Also:
    `QueryValuesImpl`, `SQLQueryModelPackageImpl.getQueryValues()`

### QUERY_VALUES__VALUES_ROW_LIST

    public static final EReference QUERY_VALUES__VALUES_ROW_LIST

  The meta object literal for the 'Values Row List' containment reference list feature.

### TABLE_REFERENCE

    public static final EClass TABLE_REFERENCE

  The meta object literal for the '`Table Reference`' class.

  See Also:
    `TableReferenceImpl`, `SQLQueryModelPackageImpl.getTableReference()`

### TABLE_REFERENCE__TABLE_JOINED_RIGHT

    public static final EReference TABLE_REFERENCE__TABLE_JOINED_RIGHT

  The meta object literal for the 'Table Joined Right' container reference feature.

### TABLE_REFERENCE__TABLE_JOINED_LEFT

    public static final EReference TABLE_REFERENCE__TABLE_JOINED_LEFT

  The meta object literal for the 'Table Joined Left' container reference feature.

### TABLE_REFERENCE__QUERY_SELECT

    public static final EReference TABLE_REFERENCE__QUERY_SELECT

  The meta object literal for the 'Query Select' container reference feature.

### TABLE_REFERENCE__NEST

    public static final EReference TABLE_REFERENCE__NEST

  The meta object literal for the 'Nest' container reference feature.

### TABLE_EXPRESSION

    public static final EClass TABLE_EXPRESSION

  The meta object literal for the '`Table Expression`' class.

  See Also:
    `TableExpressionImpl`, `SQLQueryModelPackageImpl.getTableExpression()`

### TABLE_EXPRESSION__COLUMN_LIST

    public static final EReference TABLE_EXPRESSION__COLUMN_LIST

  The meta object literal for the 'Column List' containment reference list feature.

### TABLE_EXPRESSION__TABLE_CORRELATION

    public static final EReference TABLE_EXPRESSION__TABLE_CORRELATION

  The meta object literal for the 'Table Correlation' containment reference feature.

### TABLE_EXPRESSION__RESULT_TABLE_ALL_COLUMNS

    public static final EReference TABLE_EXPRESSION__RESULT_TABLE_ALL_COLUMNS

  The meta object literal for the 'Result Table All Columns' reference list feature.

### TABLE_EXPRESSION__VALUE_EXPR_COLUMNS

    public static final EReference TABLE_EXPRESSION__VALUE_EXPR_COLUMNS

  The meta object literal for the 'Value Expr Columns' reference list feature.

### TABLE_JOINED

    public static final EClass TABLE_JOINED

  The meta object literal for the '`Table Joined`' class.

  See Also:
    `TableJoinedImpl`, `SQLQueryModelPackageImpl.getTableJoined()`

### TABLE_JOINED__JOIN_OPERATOR

    public static final EAttribute TABLE_JOINED__JOIN_OPERATOR

  The meta object literal for the 'Join Operator' attribute feature.

### TABLE_JOINED__JOIN_CONDITION

    public static final EReference TABLE_JOINED__JOIN_CONDITION

  The meta object literal for the 'Join Condition' containment reference feature.

### TABLE_JOINED__TABLE_REF_RIGHT

    public static final EReference TABLE_JOINED__TABLE_REF_RIGHT

  The meta object literal for the 'Table Ref Right' containment reference feature.

### TABLE_JOINED__TABLE_REF_LEFT

    public static final EReference TABLE_JOINED__TABLE_REF_LEFT

  The meta object literal for the 'Table Ref Left' containment reference feature.

### WITH_TABLE_SPECIFICATION

    public static final EClass WITH_TABLE_SPECIFICATION

  The meta object literal for the '`With Table Specification`' class.

  See Also:
    `WithTableSpecificationImpl`, `SQLQueryModelPackageImpl.getWithTableSpecification()`

### WITH_TABLE_SPECIFICATION__QUERY_EXPRESSION_ROOT

    public static final EReference WITH_TABLE_SPECIFICATION__QUERY_EXPRESSION_ROOT

  The meta object literal for the 'Query Expression Root' container reference feature.

### WITH_TABLE_SPECIFICATION__WITH_TABLE_QUERY_EXPR

    public static final EReference WITH_TABLE_SPECIFICATION__WITH_TABLE_QUERY_EXPR

  The meta object literal for the 'With Table Query Expr' containment reference feature.

### WITH_TABLE_SPECIFICATION__WITH_TABLE_REFERENCES

    public static final EReference WITH_TABLE_SPECIFICATION__WITH_TABLE_REFERENCES

  The meta object literal for the 'With Table References' reference list feature.

### WITH_TABLE_SPECIFICATION__COLUMN_NAME_LIST

    public static final EReference WITH_TABLE_SPECIFICATION__COLUMN_NAME_LIST

  The meta object literal for the 'Column Name List' containment reference list feature.

### PREDICATE

    public static final EClass PREDICATE

  The meta object literal for the '`Predicate`' class.

  See Also:
    `PredicateImpl`, `SQLQueryModelPackageImpl.getPredicate()`

### PREDICATE__NEGATED_PREDICATE

    public static final EAttribute PREDICATE__NEGATED_PREDICATE

  The meta object literal for the 'Negated Predicate' attribute feature.

### PREDICATE__HAS_SELECTIVITY

    public static final EAttribute PREDICATE__HAS_SELECTIVITY

  The meta object literal for the 'Has Selectivity' attribute feature.

### PREDICATE__SELECTIVITY_VALUE

    public static final EAttribute PREDICATE__SELECTIVITY_VALUE

  The meta object literal for the 'Selectivity Value' attribute feature.

### SEARCH_CONDITION_COMBINED

    public static final EClass SEARCH_CONDITION_COMBINED

  The meta object literal for the '`Search Condition Combined`' class.

  See Also:
    `SearchConditionCombinedImpl`, `SQLQueryModelPackageImpl.getSearchConditionCombined()`

### SEARCH_CONDITION_COMBINED__COMBINED_OPERATOR

    public static final EAttribute SEARCH_CONDITION_COMBINED__COMBINED_OPERATOR

  The meta object literal for the 'Combined Operator' attribute feature.

### SEARCH_CONDITION_COMBINED__LEFT_CONDITION

    public static final EReference SEARCH_CONDITION_COMBINED__LEFT_CONDITION

  The meta object literal for the 'Left Condition' containment reference feature.

### SEARCH_CONDITION_COMBINED__RIGHT_CONDITION

    public static final EReference SEARCH_CONDITION_COMBINED__RIGHT_CONDITION

  The meta object literal for the 'Right Condition' containment reference feature.

### ORDER_BY_VALUE_EXPRESSION

    public static final EClass ORDER_BY_VALUE_EXPRESSION

  The meta object literal for the '`Order By Value Expression`' class.

  See Also:
    `OrderByValueExpressionImpl`, `SQLQueryModelPackageImpl.getOrderByValueExpression()`

### ORDER_BY_VALUE_EXPRESSION__VALUE_EXPR

    public static final EReference ORDER_BY_VALUE_EXPRESSION__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### QUERY_COMBINED

    public static final EClass QUERY_COMBINED

  The meta object literal for the '`Query Combined`' class.

  See Also:
    `QueryCombinedImpl`, `SQLQueryModelPackageImpl.getQueryCombined()`

### QUERY_COMBINED__COMBINED_OPERATOR

    public static final EAttribute QUERY_COMBINED__COMBINED_OPERATOR

  The meta object literal for the 'Combined Operator' attribute feature.

### QUERY_COMBINED__LEFT_QUERY

    public static final EReference QUERY_COMBINED__LEFT_QUERY

  The meta object literal for the 'Left Query' containment reference feature.

### QUERY_COMBINED__RIGHT_QUERY

    public static final EReference QUERY_COMBINED__RIGHT_QUERY

  The meta object literal for the 'Right Query' containment reference feature.

### QUERY_SELECT

    public static final EClass QUERY_SELECT

  The meta object literal for the '`Query Select`' class.

  See Also:
    `QuerySelectImpl`, `SQLQueryModelPackageImpl.getQuerySelect()`

### QUERY_SELECT__DISTINCT

    public static final EAttribute QUERY_SELECT__DISTINCT

  The meta object literal for the 'Distinct' attribute feature.

### QUERY_SELECT__HAVING_CLAUSE

    public static final EReference QUERY_SELECT__HAVING_CLAUSE

  The meta object literal for the 'Having Clause' containment reference feature.

### QUERY_SELECT__WHERE_CLAUSE

    public static final EReference QUERY_SELECT__WHERE_CLAUSE

  The meta object literal for the 'Where Clause' containment reference feature.

### QUERY_SELECT__GROUP_BY_CLAUSE

    public static final EReference QUERY_SELECT__GROUP_BY_CLAUSE

  The meta object literal for the 'Group By Clause' containment reference list feature.

### QUERY_SELECT__SELECT_CLAUSE

    public static final EReference QUERY_SELECT__SELECT_CLAUSE

  The meta object literal for the 'Select Clause' containment reference list feature.

### QUERY_SELECT__FROM_CLAUSE

    public static final EReference QUERY_SELECT__FROM_CLAUSE

  The meta object literal for the 'From Clause' containment reference list feature.

### QUERY_SELECT__INTO_CLAUSE

    public static final EReference QUERY_SELECT__INTO_CLAUSE

  The meta object literal for the 'Into Clause' containment reference list feature.

### GROUPING_SPECIFICATION

    public static final EClass GROUPING_SPECIFICATION

  The meta object literal for the '`Grouping Specification`' class.

  See Also:
    `GroupingSpecificationImpl`, `SQLQueryModelPackageImpl.getGroupingSpecification()`

### GROUPING_SPECIFICATION__QUERY_SELECT

    public static final EReference GROUPING_SPECIFICATION__QUERY_SELECT

  The meta object literal for the 'Query Select' container reference feature.

### QUERY_RESULT_SPECIFICATION

    public static final EClass QUERY_RESULT_SPECIFICATION

  The meta object literal for the '`Query Result Specification`' class.

  See Also:
    `QueryResultSpecificationImpl`, `SQLQueryModelPackageImpl.getQueryResultSpecification()`

### QUERY_RESULT_SPECIFICATION__QUERY_SELECT

    public static final EReference QUERY_RESULT_SPECIFICATION__QUERY_SELECT

  The meta object literal for the 'Query Select' container reference feature.

### RESULT_TABLE_ALL_COLUMNS

    public static final EClass RESULT_TABLE_ALL_COLUMNS

  The meta object literal for the '`Result Table All Columns`' class.

  See Also:
    `ResultTableAllColumnsImpl`, `SQLQueryModelPackageImpl.getResultTableAllColumns()`

### RESULT_TABLE_ALL_COLUMNS__TABLE_EXPR

    public static final EReference RESULT_TABLE_ALL_COLUMNS__TABLE_EXPR

  The meta object literal for the 'Table Expr' reference feature.

### RESULT_COLUMN

    public static final EClass RESULT_COLUMN

  The meta object literal for the '`Result Column`' class.

  See Also:
    `ResultColumnImpl`, `SQLQueryModelPackageImpl.getResultColumn()`

### RESULT_COLUMN__VALUE_EXPR

    public static final EReference RESULT_COLUMN__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### RESULT_COLUMN__ORDER_BY_RESULT_COL

    public static final EReference RESULT_COLUMN__ORDER_BY_RESULT_COL

  The meta object literal for the 'Order By Result Col' reference list feature.

### PREDICATE_BASIC

    public static final EClass PREDICATE_BASIC

  The meta object literal for the '`Predicate Basic`' class.

  See Also:
    `PredicateBasicImpl`, `SQLQueryModelPackageImpl.getPredicateBasic()`

### PREDICATE_BASIC__COMPARISON_OPERATOR

    public static final EAttribute PREDICATE_BASIC__COMPARISON_OPERATOR

  The meta object literal for the 'Comparison Operator' attribute feature.

### PREDICATE_BASIC__RIGHT_VALUE_EXPR

    public static final EReference PREDICATE_BASIC__RIGHT_VALUE_EXPR

  The meta object literal for the 'Right Value Expr' containment reference feature.

### PREDICATE_BASIC__LEFT_VALUE_EXPR

    public static final EReference PREDICATE_BASIC__LEFT_VALUE_EXPR

  The meta object literal for the 'Left Value Expr' containment reference feature.

### PREDICATE_QUANTIFIED

    public static final EClass PREDICATE_QUANTIFIED

  The meta object literal for the '`Predicate Quantified`' class.

  See Also:
    `PredicateQuantifiedImpl`, `SQLQueryModelPackageImpl.getPredicateQuantified()`

### PREDICATE_BETWEEN

    public static final EClass PREDICATE_BETWEEN

  The meta object literal for the '`Predicate Between`' class.

  See Also:
    `PredicateBetweenImpl`, `SQLQueryModelPackageImpl.getPredicateBetween()`

### PREDICATE_BETWEEN__NOT_BETWEEN

    public static final EAttribute PREDICATE_BETWEEN__NOT_BETWEEN

  The meta object literal for the 'Not Between' attribute feature.

### PREDICATE_BETWEEN__LEFT_VALUE_EXPR

    public static final EReference PREDICATE_BETWEEN__LEFT_VALUE_EXPR

  The meta object literal for the 'Left Value Expr' containment reference feature.

### PREDICATE_BETWEEN__RIGHT_VALUE_EXPR1

    public static final EReference PREDICATE_BETWEEN__RIGHT_VALUE_EXPR1

  The meta object literal for the 'Right Value Expr1' containment reference feature.

### PREDICATE_BETWEEN__RIGHT_VALUE_EXPR2

    public static final EReference PREDICATE_BETWEEN__RIGHT_VALUE_EXPR2

  The meta object literal for the 'Right Value Expr2' containment reference feature.

### PREDICATE_EXISTS

    public static final EClass PREDICATE_EXISTS

  The meta object literal for the '`Predicate Exists`' class.

  See Also:
    `PredicateExistsImpl`, `SQLQueryModelPackageImpl.getPredicateExists()`

### PREDICATE_EXISTS__QUERY_EXPR

    public static final EReference PREDICATE_EXISTS__QUERY_EXPR

  The meta object literal for the 'Query Expr' containment reference feature.

### PREDICATE_IN

    public static final EClass PREDICATE_IN

  The meta object literal for the '`Predicate In`' class.

  See Also:
    `PredicateInImpl`, `SQLQueryModelPackageImpl.getPredicateIn()`

### PREDICATE_IN__NOT_IN

    public static final EAttribute PREDICATE_IN__NOT_IN

  The meta object literal for the 'Not In' attribute feature.

### PREDICATE_LIKE

    public static final EClass PREDICATE_LIKE

  The meta object literal for the '`Predicate Like`' class.

  See Also:
    `PredicateLikeImpl`, `SQLQueryModelPackageImpl.getPredicateLike()`

### PREDICATE_LIKE__NOT_LIKE

    public static final EAttribute PREDICATE_LIKE__NOT_LIKE

  The meta object literal for the 'Not Like' attribute feature.

### PREDICATE_LIKE__PATTERN_VALUE_EXPR

    public static final EReference PREDICATE_LIKE__PATTERN_VALUE_EXPR

  The meta object literal for the 'Pattern Value Expr' containment reference feature.

### PREDICATE_LIKE__MATCHING_VALUE_EXPR

    public static final EReference PREDICATE_LIKE__MATCHING_VALUE_EXPR

  The meta object literal for the 'Matching Value Expr' containment reference feature.

### PREDICATE_LIKE__ESCAPE_VALUE_EXPR

    public static final EReference PREDICATE_LIKE__ESCAPE_VALUE_EXPR

  The meta object literal for the 'Escape Value Expr' containment reference feature.

### PREDICATE_IS_NULL

    public static final EClass PREDICATE_IS_NULL

  The meta object literal for the '`Predicate Is Null`' class.

  See Also:
    `PredicateIsNullImpl`, `SQLQueryModelPackageImpl.getPredicateIsNull()`

### PREDICATE_IS_NULL__NOT_NULL

    public static final EAttribute PREDICATE_IS_NULL__NOT_NULL

  The meta object literal for the 'Not Null' attribute feature.

### PREDICATE_IS_NULL__VALUE_EXPR

    public static final EReference PREDICATE_IS_NULL__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### PREDICATE_QUANTIFIED_VALUE_SELECT

    public static final EClass PREDICATE_QUANTIFIED_VALUE_SELECT

  The meta object literal for the '`Predicate Quantified Value Select`' class.

  See Also:
    `PredicateQuantifiedValueSelectImpl`, `SQLQueryModelPackageImpl.getPredicateQuantifiedValueSelect()`

### PREDICATE_QUANTIFIED_VALUE_SELECT__QUANTIFIED_TYPE

    public static final EAttribute PREDICATE_QUANTIFIED_VALUE_SELECT__QUANTIFIED_TYPE

  The meta object literal for the 'Quantified Type' attribute feature.

### PREDICATE_QUANTIFIED_VALUE_SELECT__COMPARISON_OPERATOR

    public static final EAttribute PREDICATE_QUANTIFIED_VALUE_SELECT__COMPARISON_OPERATOR

  The meta object literal for the 'Comparison Operator' attribute feature.

### PREDICATE_QUANTIFIED_VALUE_SELECT__QUERY_EXPR

    public static final EReference PREDICATE_QUANTIFIED_VALUE_SELECT__QUERY_EXPR

  The meta object literal for the 'Query Expr' containment reference feature.

### PREDICATE_QUANTIFIED_VALUE_SELECT__VALUE_EXPR

    public static final EReference PREDICATE_QUANTIFIED_VALUE_SELECT__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### PREDICATE_QUANTIFIED_ROW_SELECT

    public static final EClass PREDICATE_QUANTIFIED_ROW_SELECT

  The meta object literal for the '`Predicate Quantified Row Select`' class.

  See Also:
    `PredicateQuantifiedRowSelectImpl`, `SQLQueryModelPackageImpl.getPredicateQuantifiedRowSelect()`

### PREDICATE_QUANTIFIED_ROW_SELECT__QUANTIFIED_TYPE

    public static final EAttribute PREDICATE_QUANTIFIED_ROW_SELECT__QUANTIFIED_TYPE

  The meta object literal for the 'Quantified Type' attribute feature.

### PREDICATE_QUANTIFIED_ROW_SELECT__QUERY_EXPR

    public static final EReference PREDICATE_QUANTIFIED_ROW_SELECT__QUERY_EXPR

  The meta object literal for the 'Query Expr' containment reference feature.

### PREDICATE_QUANTIFIED_ROW_SELECT__VALUE_EXPR_LIST

    public static final EReference PREDICATE_QUANTIFIED_ROW_SELECT__VALUE_EXPR_LIST

  The meta object literal for the 'Value Expr List' containment reference list feature.

### PREDICATE_IN_VALUE_SELECT

    public static final EClass PREDICATE_IN_VALUE_SELECT

  The meta object literal for the '`Predicate In Value Select`' class.

  See Also:
    `PredicateInValueSelectImpl`, `SQLQueryModelPackageImpl.getPredicateInValueSelect()`

### PREDICATE_IN_VALUE_SELECT__QUERY_EXPR

    public static final EReference PREDICATE_IN_VALUE_SELECT__QUERY_EXPR

  The meta object literal for the 'Query Expr' containment reference feature.

### PREDICATE_IN_VALUE_SELECT__VALUE_EXPR

    public static final EReference PREDICATE_IN_VALUE_SELECT__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### PREDICATE_IN_VALUE_LIST

    public static final EClass PREDICATE_IN_VALUE_LIST

  The meta object literal for the '`Predicate In Value List`' class.

  See Also:
    `PredicateInValueListImpl`, `SQLQueryModelPackageImpl.getPredicateInValueList()`

### PREDICATE_IN_VALUE_LIST__VALUE_EXPR_LIST

    public static final EReference PREDICATE_IN_VALUE_LIST__VALUE_EXPR_LIST

  The meta object literal for the 'Value Expr List' containment reference list feature.

### PREDICATE_IN_VALUE_LIST__VALUE_EXPR

    public static final EReference PREDICATE_IN_VALUE_LIST__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### PREDICATE_IN_VALUE_ROW_SELECT

    public static final EClass PREDICATE_IN_VALUE_ROW_SELECT

  The meta object literal for the '`Predicate In Value Row Select`' class.

  See Also:
    `PredicateInValueRowSelectImpl`, `SQLQueryModelPackageImpl.getPredicateInValueRowSelect()`

### PREDICATE_IN_VALUE_ROW_SELECT__VALUE_EXPR_LIST

    public static final EReference PREDICATE_IN_VALUE_ROW_SELECT__VALUE_EXPR_LIST

  The meta object literal for the 'Value Expr List' containment reference list feature.

### PREDICATE_IN_VALUE_ROW_SELECT__QUERY_EXPR

    public static final EReference PREDICATE_IN_VALUE_ROW_SELECT__QUERY_EXPR

  The meta object literal for the 'Query Expr' containment reference feature.

### VALUE_EXPRESSION_SIMPLE

    public static final EClass VALUE_EXPRESSION_SIMPLE

  The meta object literal for the '`Value Expression Simple`' class.

  See Also:
    `ValueExpressionSimpleImpl`, `SQLQueryModelPackageImpl.getValueExpressionSimple()`

### VALUE_EXPRESSION_SIMPLE__VALUE

    public static final EAttribute VALUE_EXPRESSION_SIMPLE__VALUE

  The meta object literal for the 'Value' attribute feature.

### VALUE_EXPRESSION_COLUMN

    public static final EClass VALUE_EXPRESSION_COLUMN

  The meta object literal for the '`Value Expression Column`' class.

  See Also:
    `ValueExpressionColumnImpl`, `SQLQueryModelPackageImpl.getValueExpressionColumn()`

### VALUE_EXPRESSION_COLUMN__ASSIGNMENT_EXPR_TARGET

    public static final EReference VALUE_EXPRESSION_COLUMN__ASSIGNMENT_EXPR_TARGET

  The meta object literal for the 'Assignment Expr Target' reference list feature.

### VALUE_EXPRESSION_COLUMN__PARENT_TABLE_EXPR

    public static final EReference VALUE_EXPRESSION_COLUMN__PARENT_TABLE_EXPR

  The meta object literal for the 'Parent Table Expr' container reference feature.

### VALUE_EXPRESSION_COLUMN__INSERT_STATEMENT

    public static final EReference VALUE_EXPRESSION_COLUMN__INSERT_STATEMENT

  The meta object literal for the 'Insert Statement' reference list feature.

### VALUE_EXPRESSION_COLUMN__TABLE_EXPR

    public static final EReference VALUE_EXPRESSION_COLUMN__TABLE_EXPR

  The meta object literal for the 'Table Expr' reference feature.

### VALUE_EXPRESSION_COLUMN__TABLE_IN_DATABASE

    public static final EReference VALUE_EXPRESSION_COLUMN__TABLE_IN_DATABASE

  The meta object literal for the 'Table In Database' reference feature.

### VALUE_EXPRESSION_VARIABLE

    public static final EClass VALUE_EXPRESSION_VARIABLE

  The meta object literal for the '`Value Expression Variable`' class.

  See Also:
    `ValueExpressionVariableImpl`, `SQLQueryModelPackageImpl.getValueExpressionVariable()`

### VALUE_EXPRESSION_VARIABLE__QUERY_SELECT

    public static final EReference VALUE_EXPRESSION_VARIABLE__QUERY_SELECT

  The meta object literal for the 'Query Select' container reference feature.

### VALUE_EXPRESSION_SCALAR_SELECT

    public static final EClass VALUE_EXPRESSION_SCALAR_SELECT

  The meta object literal for the '`Value Expression Scalar Select`' class.

  See Also:
    `ValueExpressionScalarSelectImpl`, `SQLQueryModelPackageImpl.getValueExpressionScalarSelect()`

### VALUE_EXPRESSION_SCALAR_SELECT__QUERY_EXPR

    public static final EReference VALUE_EXPRESSION_SCALAR_SELECT__QUERY_EXPR

  The meta object literal for the 'Query Expr' reference feature.

### VALUE_EXPRESSION_LABELED_DURATION

    public static final EClass VALUE_EXPRESSION_LABELED_DURATION

  The meta object literal for the '`Value Expression Labeled Duration`' class.

  See Also:
    `ValueExpressionLabeledDurationImpl`, `SQLQueryModelPackageImpl.getValueExpressionLabeledDuration()`

### VALUE_EXPRESSION_LABELED_DURATION__LABELED_DURATION_TYPE

    public static final EAttribute VALUE_EXPRESSION_LABELED_DURATION__LABELED_DURATION_TYPE

  The meta object literal for the 'Labeled Duration Type' attribute feature.

### VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR

    public static final EReference VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### VALUE_EXPRESSION_CASE

    public static final EClass VALUE_EXPRESSION_CASE

  The meta object literal for the '`Value Expression Case`' class.

  See Also:
    `ValueExpressionCaseImpl`, `SQLQueryModelPackageImpl.getValueExpressionCase()`

### VALUE_EXPRESSION_CASE__CASE_ELSE

    public static final EReference VALUE_EXPRESSION_CASE__CASE_ELSE

  The meta object literal for the 'Case Else' containment reference feature.

### VALUE_EXPRESSION_CAST

    public static final EClass VALUE_EXPRESSION_CAST

  The meta object literal for the '`Value Expression Cast`' class.

  See Also:
    `ValueExpressionCastImpl`, `SQLQueryModelPackageImpl.getValueExpressionCast()`

### VALUE_EXPRESSION_CAST__VALUE_EXPR

    public static final EReference VALUE_EXPRESSION_CAST__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### VALUE_EXPRESSION_NULL_VALUE

    public static final EClass VALUE_EXPRESSION_NULL_VALUE

  The meta object literal for the '`Value Expression Null Value`' class.

  See Also:
    `ValueExpressionNullValueImpl`, `SQLQueryModelPackageImpl.getValueExpressionNullValue()`

### VALUE_EXPRESSION_DEFAULT_VALUE

    public static final EClass VALUE_EXPRESSION_DEFAULT_VALUE

  The meta object literal for the '`Value Expression Default Value`' class.

  See Also:
    `ValueExpressionDefaultValueImpl`, `SQLQueryModelPackageImpl.getValueExpressionDefaultValue()`

### VALUE_EXPRESSION_FUNCTION

    public static final EClass VALUE_EXPRESSION_FUNCTION

  The meta object literal for the '`Value Expression Function`' class.

  See Also:
    `ValueExpressionFunctionImpl`, `SQLQueryModelPackageImpl.getValueExpressionFunction()`

### VALUE_EXPRESSION_FUNCTION__SPECIAL_REGISTER

    public static final EAttribute VALUE_EXPRESSION_FUNCTION__SPECIAL_REGISTER

  The meta object literal for the 'Special Register' attribute feature.

### VALUE_EXPRESSION_FUNCTION__DISTINCT

    public static final EAttribute VALUE_EXPRESSION_FUNCTION__DISTINCT

  The meta object literal for the 'Distinct' attribute feature.

### VALUE_EXPRESSION_FUNCTION__COLUMN_FUNCTION

    public static final EAttribute VALUE_EXPRESSION_FUNCTION__COLUMN_FUNCTION

  The meta object literal for the 'Column Function' attribute feature.

### VALUE_EXPRESSION_FUNCTION__PARAMETER_LIST

    public static final EReference VALUE_EXPRESSION_FUNCTION__PARAMETER_LIST

  The meta object literal for the 'Parameter List' containment reference list feature.

### VALUE_EXPRESSION_FUNCTION__FUNCTION

    public static final EReference VALUE_EXPRESSION_FUNCTION__FUNCTION

  The meta object literal for the 'Function' reference feature.

### VALUE_EXPRESSION_COMBINED

    public static final EClass VALUE_EXPRESSION_COMBINED

  The meta object literal for the '`Value Expression Combined`' class.

  See Also:
    `ValueExpressionCombinedImpl`, `SQLQueryModelPackageImpl.getValueExpressionCombined()`

### VALUE_EXPRESSION_COMBINED__COMBINED_OPERATOR

    public static final EAttribute VALUE_EXPRESSION_COMBINED__COMBINED_OPERATOR

  The meta object literal for the 'Combined Operator' attribute feature.

### VALUE_EXPRESSION_COMBINED__LEFT_VALUE_EXPR

    public static final EReference VALUE_EXPRESSION_COMBINED__LEFT_VALUE_EXPR

  The meta object literal for the 'Left Value Expr' containment reference feature.

### VALUE_EXPRESSION_COMBINED__RIGHT_VALUE_EXPR

    public static final EReference VALUE_EXPRESSION_COMBINED__RIGHT_VALUE_EXPR

  The meta object literal for the 'Right Value Expr' containment reference feature.

### GROUPING_SETS

    public static final EClass GROUPING_SETS

  The meta object literal for the '`Grouping Sets`' class.

  See Also:
    `GroupingSetsImpl`, `SQLQueryModelPackageImpl.getGroupingSets()`

### GROUPING_SETS__GROUPING_SETS_ELEMENT_LIST

    public static final EReference GROUPING_SETS__GROUPING_SETS_ELEMENT_LIST

  The meta object literal for the 'Grouping Sets Element List' containment reference list feature.

### GROUPING

    public static final EClass GROUPING

  The meta object literal for the '`Grouping`' class.

  See Also:
    `GroupingImpl`, `SQLQueryModelPackageImpl.getGrouping()`

### GROUPING__GROUPING_SETS_ELEMENT_EXPR

    public static final EReference GROUPING__GROUPING_SETS_ELEMENT_EXPR

  The meta object literal for the 'Grouping Sets Element Expr' container reference feature.

### GROUPING_SETS_ELEMENT

    public static final EClass GROUPING_SETS_ELEMENT

  The meta object literal for the '`Grouping Sets Element`' class.

  See Also:
    `GroupingSetsElementImpl`, `SQLQueryModelPackageImpl.getGroupingSetsElement()`

### GROUPING_SETS_ELEMENT__GROUPING_SETS

    public static final EReference GROUPING_SETS_ELEMENT__GROUPING_SETS

  The meta object literal for the 'Grouping Sets' container reference feature.

### GROUPING_SETS_ELEMENT_SUBLIST

    public static final EClass GROUPING_SETS_ELEMENT_SUBLIST

  The meta object literal for the '`Grouping Sets Element Sublist`' class.

  See Also:
    `GroupingSetsElementSublistImpl`, `SQLQueryModelPackageImpl.getGroupingSetsElementSublist()`

### GROUPING_SETS_ELEMENT_SUBLIST__GROUPING_SETS_ELEMENT_EXPR_LIST

    public static final EReference GROUPING_SETS_ELEMENT_SUBLIST__GROUPING_SETS_ELEMENT_EXPR_LIST

  The meta object literal for the 'Grouping Sets Element Expr List' containment reference list feature.

### GROUPING_SETS_ELEMENT_EXPRESSION

    public static final EClass GROUPING_SETS_ELEMENT_EXPRESSION

  The meta object literal for the '`Grouping Sets Element Expression`' class.

  See Also:
    `GroupingSetsElementExpressionImpl`, `SQLQueryModelPackageImpl.getGroupingSetsElementExpression()`

### GROUPING_SETS_ELEMENT_EXPRESSION__GROUPING_SETS_ELEMENT_SUBLIST

    public static final EReference GROUPING_SETS_ELEMENT_EXPRESSION__GROUPING_SETS_ELEMENT_SUBLIST

  The meta object literal for the 'Grouping Sets Element Sublist' container reference feature.

### GROUPING_SETS_ELEMENT_EXPRESSION__GROUPING

    public static final EReference GROUPING_SETS_ELEMENT_EXPRESSION__GROUPING

  The meta object literal for the 'Grouping' containment reference feature.

### SUPER_GROUP

    public static final EClass SUPER_GROUP

  The meta object literal for the '`Super Group`' class.

  See Also:
    `SuperGroupImpl`, `SQLQueryModelPackageImpl.getSuperGroup()`

### SUPER_GROUP__SUPER_GROUP_TYPE

    public static final EAttribute SUPER_GROUP__SUPER_GROUP_TYPE

  The meta object literal for the 'Super Group Type' attribute feature.

### SUPER_GROUP__SUPER_GROUP_ELEMENT_LIST

    public static final EReference SUPER_GROUP__SUPER_GROUP_ELEMENT_LIST

  The meta object literal for the 'Super Group Element List' containment reference list feature.

### GROUPING_EXPRESSION

    public static final EClass GROUPING_EXPRESSION

  The meta object literal for the '`Grouping Expression`' class.

  See Also:
    `GroupingExpressionImpl`, `SQLQueryModelPackageImpl.getGroupingExpression()`

### GROUPING_EXPRESSION__VALUE_EXPR

    public static final EReference GROUPING_EXPRESSION__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### GROUPING_EXPRESSION__SUPER_GROUP_ELEMENT_EXPR

    public static final EReference GROUPING_EXPRESSION__SUPER_GROUP_ELEMENT_EXPR

  The meta object literal for the 'Super Group Element Expr' container reference feature.

### SUPER_GROUP_ELEMENT

    public static final EClass SUPER_GROUP_ELEMENT

  The meta object literal for the '`Super Group Element`' class.

  See Also:
    `SuperGroupElementImpl`, `SQLQueryModelPackageImpl.getSuperGroupElement()`

### SUPER_GROUP_ELEMENT__SUPER_GROUP

    public static final EReference SUPER_GROUP_ELEMENT__SUPER_GROUP

  The meta object literal for the 'Super Group' container reference feature.

### SUPER_GROUP_ELEMENT_SUBLIST

    public static final EClass SUPER_GROUP_ELEMENT_SUBLIST

  The meta object literal for the '`Super Group Element Sublist`' class.

  See Also:
    `SuperGroupElementSublistImpl`, `SQLQueryModelPackageImpl.getSuperGroupElementSublist()`

### SUPER_GROUP_ELEMENT_SUBLIST__SUPER_GROUP_ELEMENT_EXPR_LIST

    public static final EReference SUPER_GROUP_ELEMENT_SUBLIST__SUPER_GROUP_ELEMENT_EXPR_LIST

  The meta object literal for the 'Super Group Element Expr List' containment reference list feature.

### SUPER_GROUP_ELEMENT_EXPRESSION

    public static final EClass SUPER_GROUP_ELEMENT_EXPRESSION

  The meta object literal for the '`Super Group Element Expression`' class.

  See Also:
    `SuperGroupElementExpressionImpl`, `SQLQueryModelPackageImpl.getSuperGroupElementExpression()`

### SUPER_GROUP_ELEMENT_EXPRESSION__SUPER_GROUP_ELEMENT_SUBLIST

    public static final EReference SUPER_GROUP_ELEMENT_EXPRESSION__SUPER_GROUP_ELEMENT_SUBLIST

  The meta object literal for the 'Super Group Element Sublist' container reference feature.

### SUPER_GROUP_ELEMENT_EXPRESSION__GROUPING_EXPR

    public static final EReference SUPER_GROUP_ELEMENT_EXPRESSION__GROUPING_EXPR

  The meta object literal for the 'Grouping Expr' containment reference feature.

### VALUE_EXPRESSION_CASE_SEARCH

    public static final EClass VALUE_EXPRESSION_CASE_SEARCH

  The meta object literal for the '`Value Expression Case Search`' class.

  See Also:
    `ValueExpressionCaseSearchImpl`, `SQLQueryModelPackageImpl.getValueExpressionCaseSearch()`

### VALUE_EXPRESSION_CASE_SEARCH__SEARCH_CONTENT_LIST

    public static final EReference VALUE_EXPRESSION_CASE_SEARCH__SEARCH_CONTENT_LIST

  The meta object literal for the 'Search Content List' containment reference list feature.

### VALUE_EXPRESSION_CASE_SIMPLE

    public static final EClass VALUE_EXPRESSION_CASE_SIMPLE

  The meta object literal for the '`Value Expression Case Simple`' class.

  See Also:
    `ValueExpressionCaseSimpleImpl`, `SQLQueryModelPackageImpl.getValueExpressionCaseSimple()`

### VALUE_EXPRESSION_CASE_SIMPLE__CONTENT_LIST

    public static final EReference VALUE_EXPRESSION_CASE_SIMPLE__CONTENT_LIST

  The meta object literal for the 'Content List' containment reference list feature.

### VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR

    public static final EReference VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### VALUE_EXPRESSION_CASE_ELSE

    public static final EClass VALUE_EXPRESSION_CASE_ELSE

  The meta object literal for the '`Value Expression Case Else`' class.

  See Also:
    `ValueExpressionCaseElseImpl`, `SQLQueryModelPackageImpl.getValueExpressionCaseElse()`

### VALUE_EXPRESSION_CASE_ELSE__VALUE_EXPR_CASE

    public static final EReference VALUE_EXPRESSION_CASE_ELSE__VALUE_EXPR_CASE

  The meta object literal for the 'Value Expr Case' container reference feature.

### VALUE_EXPRESSION_CASE_ELSE__VALUE_EXPR

    public static final EReference VALUE_EXPRESSION_CASE_ELSE__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### VALUE_EXPRESSION_CASE_SEARCH_CONTENT

    public static final EClass VALUE_EXPRESSION_CASE_SEARCH_CONTENT

  The meta object literal for the '`Value Expression Case Search Content`' class.

  See Also:
    `ValueExpressionCaseSearchContentImpl`, `SQLQueryModelPackageImpl.getValueExpressionCaseSearchContent()`

### VALUE_EXPRESSION_CASE_SEARCH_CONTENT__VALUE_EXPR

    public static final EReference VALUE_EXPRESSION_CASE_SEARCH_CONTENT__VALUE_EXPR

  The meta object literal for the 'Value Expr' containment reference feature.

### VALUE_EXPRESSION_CASE_SEARCH_CONTENT__SEARCH_CONDITION

    public static final EReference VALUE_EXPRESSION_CASE_SEARCH_CONTENT__SEARCH_CONDITION

  The meta object literal for the 'Search Condition' containment reference feature.

### VALUE_EXPRESSION_CASE_SEARCH_CONTENT__VALUE_EXPR_CASE_SEARCH

    public static final EReference VALUE_EXPRESSION_CASE_SEARCH_CONTENT__VALUE_EXPR_CASE_SEARCH

  The meta object literal for the 'Value Expr Case Search' container reference feature.

### VALUE_EXPRESSION_CASE_SIMPLE_CONTENT

    public static final EClass VALUE_EXPRESSION_CASE_SIMPLE_CONTENT

  The meta object literal for the '`Value Expression Case Simple Content`' class.

  See Also:
    `ValueExpressionCaseSimpleContentImpl`, `SQLQueryModelPackageImpl.getValueExpressionCaseSimpleContent()`

### VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__VALUE_EXPR_CASE_SIMPLE

    public static final EReference VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__VALUE_EXPR_CASE_SIMPLE

  The meta object literal for the 'Value Expr Case Simple' container reference feature.

### VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__WHEN_VALUE_EXPR

    public static final EReference VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__WHEN_VALUE_EXPR

  The meta object literal for the 'When Value Expr' containment reference feature.

### VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__RESULT_VALUE_EXPR

    public static final EReference VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__RESULT_VALUE_EXPR

  The meta object literal for the 'Result Value Expr' containment reference feature.

### TABLE_IN_DATABASE

    public static final EClass TABLE_IN_DATABASE

  The meta object literal for the '`Table In Database`' class.

  See Also:
    `TableInDatabaseImpl`, `SQLQueryModelPackageImpl.getTableInDatabase()`

### TABLE_IN_DATABASE__UPDATE_STATEMENT

    public static final EReference TABLE_IN_DATABASE__UPDATE_STATEMENT

  The meta object literal for the 'Update Statement' container reference feature.

### TABLE_IN_DATABASE__DELETE_STATEMENT

    public static final EReference TABLE_IN_DATABASE__DELETE_STATEMENT

  The meta object literal for the 'Delete Statement' container reference feature.

### TABLE_IN_DATABASE__INSERT_STATEMENT

    public static final EReference TABLE_IN_DATABASE__INSERT_STATEMENT

  The meta object literal for the 'Insert Statement' container reference feature.

### TABLE_IN_DATABASE__DATABASE_TABLE

    public static final EReference TABLE_IN_DATABASE__DATABASE_TABLE

  The meta object literal for the 'Database Table' reference feature.

### TABLE_IN_DATABASE__DERIVED_COLUMN_LIST

    public static final EReference TABLE_IN_DATABASE__DERIVED_COLUMN_LIST

  The meta object literal for the 'Derived Column List' reference list feature.

### TABLE_FUNCTION

    public static final EClass TABLE_FUNCTION

  The meta object literal for the '`Table Function`' class.

  See Also:
    `TableFunctionImpl`, `SQLQueryModelPackageImpl.getTableFunction()`

### SQL_QUERY_OBJECT

    public static final EClass SQL_QUERY_OBJECT

  The meta object literal for the '`SQL Query Object`' class.

  See Also:
    `SQLQueryObjectImpl`, `SQLQueryModelPackageImpl.getSQLQueryObject()`

### QUERY_CHANGE_STATEMENT

    public static final EClass QUERY_CHANGE_STATEMENT

  The meta object literal for the '`Query Change Statement`' class.

  See Also:
    `QueryChangeStatementImpl`, `SQLQueryModelPackageImpl.getQueryChangeStatement()`

### COLUMN_NAME

    public static final EClass COLUMN_NAME

  The meta object literal for the '`Column Name`' class.

  See Also:
    `ColumnNameImpl`, `SQLQueryModelPackageImpl.getColumnName()`

### COLUMN_NAME__TABLE_CORRELATION

    public static final EReference COLUMN_NAME__TABLE_CORRELATION

  The meta object literal for the 'Table Correlation' container reference feature.

### COLUMN_NAME__WITH_TABLE_SPECIFICATION

    public static final EReference COLUMN_NAME__WITH_TABLE_SPECIFICATION

  The meta object literal for the 'With Table Specification' container reference feature.

### TABLE_NESTED

    public static final EClass TABLE_NESTED

  The meta object literal for the '`Table Nested`' class.

  See Also:
    `TableNestedImpl`, `SQLQueryModelPackageImpl.getTableNested()`

### TABLE_NESTED__NESTED_TABLE_REF

    public static final EReference TABLE_NESTED__NESTED_TABLE_REF

  The meta object literal for the 'Nested Table Ref' containment reference feature.

### QUERY_MERGE_STATEMENT

    public static final EClass QUERY_MERGE_STATEMENT

  The meta object literal for the '`Query Merge Statement`' class.

  See Also:
    `QueryMergeStatementImpl`, `SQLQueryModelPackageImpl.getQueryMergeStatement()`

### SEARCH_CONDITION_NESTED

    public static final EClass SEARCH_CONDITION_NESTED

  The meta object literal for the '`Search Condition Nested`' class.

  See Also:
    `SearchConditionNestedImpl`, `SQLQueryModelPackageImpl.getSearchConditionNested()`

### SEARCH_CONDITION_NESTED__NESTED_CONDITION

    public static final EReference SEARCH_CONDITION_NESTED__NESTED_CONDITION

  The meta object literal for the 'Nested Condition' containment reference feature.

### VALUE_EXPRESSION_NESTED

    public static final EClass VALUE_EXPRESSION_NESTED

  The meta object literal for the '`Value Expression Nested`' class.

  See Also:
    `ValueExpressionNestedImpl`, `SQLQueryModelPackageImpl.getValueExpressionNested()`

### VALUE_EXPRESSION_NESTED__NESTED_VALUE_EXPR

    public static final EReference VALUE_EXPRESSION_NESTED__NESTED_VALUE_EXPR

  The meta object literal for the 'Nested Value Expr' containment reference feature.

### VALUE_EXPRESSION_ATOMIC

    public static final EClass VALUE_EXPRESSION_ATOMIC

  The meta object literal for the '`Value Expression Atomic`' class.

  See Also:
    `ValueExpressionAtomicImpl`, `SQLQueryModelPackageImpl.getValueExpressionAtomic()`

### ORDER_BY_SPECIFICATION

    public static final EClass ORDER_BY_SPECIFICATION

  The meta object literal for the '`Order By Specification`' class.

  See Also:
    `OrderBySpecificationImpl`, `SQLQueryModelPackageImpl.getOrderBySpecification()`

### ORDER_BY_SPECIFICATION__DESCENDING

    public static final EAttribute ORDER_BY_SPECIFICATION__DESCENDING

  The meta object literal for the 'Descending' attribute feature.

### ORDER_BY_SPECIFICATION__ORDERING_SPEC_OPTION

    public static final EAttribute ORDER_BY_SPECIFICATION__ORDERING_SPEC_OPTION

  The meta object literal for the 'Ordering Spec Option' attribute feature.

### ORDER_BY_SPECIFICATION__NULL_ORDERING_OPTION

    public static final EAttribute ORDER_BY_SPECIFICATION__NULL_ORDERING_OPTION

  The meta object literal for the 'Null Ordering Option' attribute feature.

### ORDER_BY_SPECIFICATION__SELECT_STATEMENT

    public static final EReference ORDER_BY_SPECIFICATION__SELECT_STATEMENT

  The meta object literal for the 'Select Statement' container reference feature.

### ORDER_BY_ORDINAL

    public static final EClass ORDER_BY_ORDINAL

  The meta object literal for the '`Order By Ordinal`' class.

  See Also:
    `OrderByOrdinalImpl`, `SQLQueryModelPackageImpl.getOrderByOrdinal()`

### ORDER_BY_ORDINAL__ORDINAL_VALUE

    public static final EAttribute ORDER_BY_ORDINAL__ORDINAL_VALUE

  The meta object literal for the 'Ordinal Value' attribute feature.

### TABLE_CORRELATION

    public static final EClass TABLE_CORRELATION

  The meta object literal for the '`Table Correlation`' class.

  See Also:
    `TableCorrelationImpl`, `SQLQueryModelPackageImpl.getTableCorrelation()`

### TABLE_CORRELATION__TABLE_EXPR

    public static final EReference TABLE_CORRELATION__TABLE_EXPR

  The meta object literal for the 'Table Expr' container reference feature.

### TABLE_CORRELATION__COLUMN_NAME_LIST

    public static final EReference TABLE_CORRELATION__COLUMN_NAME_LIST

  The meta object literal for the 'Column Name List' containment reference list feature.

### UPDATE_SOURCE

    public static final EClass UPDATE_SOURCE

  The meta object literal for the '`Update Source`' class.

  See Also:
    `UpdateSourceImpl`, `SQLQueryModelPackageImpl.getUpdateSource()`

### UPDATE_SOURCE__UPDATE_ASSIGNMENT_EXPR

    public static final EReference UPDATE_SOURCE__UPDATE_ASSIGNMENT_EXPR

  The meta object literal for the 'Update Assignment Expr' container reference feature.

### UPDATE_SOURCE_EXPR_LIST

    public static final EClass UPDATE_SOURCE_EXPR_LIST

  The meta object literal for the '`Update Source Expr List`' class.

  See Also:
    `UpdateSourceExprListImpl`, `SQLQueryModelPackageImpl.getUpdateSourceExprList()`

### UPDATE_SOURCE_EXPR_LIST__VALUE_EXPR_LIST

    public static final EReference UPDATE_SOURCE_EXPR_LIST__VALUE_EXPR_LIST

  The meta object literal for the 'Value Expr List' containment reference list feature.

### UPDATE_SOURCE_QUERY

    public static final EClass UPDATE_SOURCE_QUERY

  The meta object literal for the '`Update Source Query`' class.

  See Also:
    `UpdateSourceQueryImpl`, `SQLQueryModelPackageImpl.getUpdateSourceQuery()`

### UPDATE_SOURCE_QUERY__QUERY_EXPR

    public static final EReference UPDATE_SOURCE_QUERY__QUERY_EXPR

  The meta object literal for the 'Query Expr' containment reference feature.

### ORDER_BY_RESULT_COLUMN

    public static final EClass ORDER_BY_RESULT_COLUMN

  The meta object literal for the '`Order By Result Column`' class.

  See Also:
    `OrderByResultColumnImpl`, `SQLQueryModelPackageImpl.getOrderByResultColumn()`

### ORDER_BY_RESULT_COLUMN__RESULT_COL

    public static final EReference ORDER_BY_RESULT_COLUMN__RESULT_COL

  The meta object literal for the 'Result Col' reference feature.

### WITH_TABLE_REFERENCE

    public static final EClass WITH_TABLE_REFERENCE

  The meta object literal for the '`With Table Reference`' class.

  See Also:
    `WithTableReferenceImpl`, `SQLQueryModelPackageImpl.getWithTableReference()`

### WITH_TABLE_REFERENCE__WITH_TABLE_SPECIFICATION

    public static final EReference WITH_TABLE_REFERENCE__WITH_TABLE_SPECIFICATION

  The meta object literal for the 'With Table Specification' reference feature.

### SUPER_GROUP_TYPE

    public static final EEnum SUPER_GROUP_TYPE

  The meta object literal for the '`Super Group Type`' enum.

  See Also:
    `SuperGroupType`, `SQLQueryModelPackageImpl.getSuperGroupType()`

### PREDICATE_QUANTIFIED_TYPE

    public static final EEnum PREDICATE_QUANTIFIED_TYPE

  The meta object literal for the '`Predicate Quantified Type`' enum.

  See Also:
    `PredicateQuantifiedType`, `SQLQueryModelPackageImpl.getPredicateQuantifiedType()`

### PREDICATE_COMPARISON_OPERATOR

    public static final EEnum PREDICATE_COMPARISON_OPERATOR

  The meta object literal for the '`Predicate Comparison Operator`' enum.

  See Also:
    `PredicateComparisonOperator`, `SQLQueryModelPackageImpl.getPredicateComparisonOperator()`

### SEARCH_CONDITION_COMBINED_OPERATOR

    public static final EEnum SEARCH_CONDITION_COMBINED_OPERATOR

  The meta object literal for the '`Search Condition Combined Operator`' enum.

  See Also:
    `SearchConditionCombinedOperator`, `SQLQueryModelPackageImpl.getSearchConditionCombinedOperator()`

### TABLE_JOINED_OPERATOR

    public static final EEnum TABLE_JOINED_OPERATOR

  The meta object literal for the '`Table Joined Operator`' enum.

  See Also:
    `TableJoinedOperator`, `SQLQueryModelPackageImpl.getTableJoinedOperator()`

### QUERY_COMBINED_OPERATOR

    public static final EEnum QUERY_COMBINED_OPERATOR

  The meta object literal for the '`Query Combined Operator`' enum.

  See Also:
    `QueryCombinedOperator`, `SQLQueryModelPackageImpl.getQueryCombinedOperator()`

### VALUE_EXPRESSION_UNARY_OPERATOR

    public static final EEnum VALUE_EXPRESSION_UNARY_OPERATOR

  The meta object literal for the '`Value Expression Unary Operator`' enum.

  See Also:
    `ValueExpressionUnaryOperator`, `SQLQueryModelPackageImpl.getValueExpressionUnaryOperator()`

### VALUE_EXPRESSION_COMBINED_OPERATOR

    public static final EEnum VALUE_EXPRESSION_COMBINED_OPERATOR

  The meta object literal for the '`Value Expression Combined Operator`' enum.

  See Also:
    `ValueExpressionCombinedOperator`, `SQLQueryModelPackageImpl.getValueExpressionCombinedOperator()`

### VALUE_EXPRESSION_LABELED_DURATION_TYPE

    public static final EEnum VALUE_EXPRESSION_LABELED_DURATION_TYPE

  The meta object literal for the '`Value Expression Labeled Duration Type`' enum.

  See Also:
    `ValueExpressionLabeledDurationType`, `SQLQueryModelPackageImpl.getValueExpressionLabeledDurationType()`

### NULL_ORDERING_TYPE

    public static final EEnum NULL_ORDERING_TYPE

  The meta object literal for the '`Null Ordering Type`' enum.

  See Also:
    `NullOrderingType`, `SQLQueryModelPackageImpl.getNullOrderingType()`

### ORDERING_SPEC_TYPE

    public static final EEnum ORDERING_SPEC_TYPE

  The meta object literal for the '`Ordering Spec Type`' enum.

  See Also:
    `OrderingSpecType`, `SQLQueryModelPackageImpl.getOrderingSpecType()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.